#include "rafport.h"

#include <X11/Xlib.h>
#include <Xm/Xm.h>

#include "IllCanvas.h"

#include "MainWindow.h"
#include "SelectionManager.h"
#include "keyboard/KeyBoard.h"


IllCanvas::IllCanvas(ScrollWindow *input_sw,
					   XtAppContext input_app_context,
					   Widget input_parent,
					   int input_w,
					   int input_h,
					 MainWindow *input_mw)
 : Canvas(input_sw, input_app_context, input_parent, 0, input_w, input_h),
   mw(input_mw)
{
  XtManageChild(this->canvas_widget);
}

IllCanvas::~IllCanvas()
{
}


KeyMap *IllCanvas::getKM() 
{ 
  return mw->kb->key_map; 
}
