
#ifndef _ScrollWindow_h_
#define _ScrollWindow_h_

#include <Xm/ScrolledW.h>
#include "misc/bb.h"

class ScrollClient;

class ScrollWindow {
  ScrollClient *client;
  Widget widget;
  // how big the client thinks it is
  int view_width;
  int view_height;
  // ul in client coords
  int client_x;
  int client_y;
  // how big the viewport is
  int port_width;
  int port_height;
public:
  ScrollWindow(Widget widget);
  ~ScrollWindow();
  Widget getWidget();
  void calculateSize(void);
  //void setSize(int width, int height);
  void setClientSize(int width, int height);
  void resizeCallback(void);
  iLBox getVisibleArea(void);
  int isVisible(int x, int y);
  void setClient(ScrollClient *client);
};

#endif
