#include "rafport.h"

#include <X11/Xlib.h>
#include <Xm/Xm.h>

#include "ucs.h"
#include "utf.h"
#include "keyboard/KeyMap.h"
#include "misc/Unicode.h"
#include "dafs.h"

#include "lte/Line.h"

#include "TestEditor.h"

TestEditor::TestEditor(Canvas *input_canvas, 
					   KeyMap **input_km, 
					   int input_scroll_flag) 
 : UniEditor(input_canvas, input_scroll_flag),
   km(input_km) 
{
  int direction = NORMAL;
  this->justification_direction = direction == NORMAL ? dLEFT : dRIGHT;
  this->justification_direction = dLEFT;
  this->char_width = 8;
  ascent = 0;
  this->char_height = 25; 
  // maximum height of all glyphs in our unicode fontsets
}

TestEditor::~TestEditor()
{
}

KeyMap *TestEditor::getKM() 
{ 
  return *km; 
}

