#ifndef _DAFSWRAPPER_
#define _DAFSWRAPPER_
#include "RTEView.h"
#include "RTEMisc.h"
#include "dafs.h"


class glyph_wrapper {
	// private members TBD
public:
	virtual void render(/* parameters TBD */);  // render using its assigned font, etc
};






class DAFS_entity_wrapper {
	// image_ptr type TBD
	iEntityPtr entity;
public:
	int delete_entity();
	int insert_before_entity(DAFS_entity_wrapper);  // insert me before this entity
	void flag();
	int flagged();
	void clear_flag();
	DAFS_entity_wrapper next_entity_wrapper();  // after me
	DAFS_entity_wrapper prev_entity_wrapper();  // before me
	// need additional methods to get entity type and properties
	// to support various displays in text mode
};


class DAFS_unicode_sequence_wrapper 
	: public DAFS_entity_wrapper 
	public glyph_wrapper; 
{
	// private members TBD
public:
	// methods TBD
};


class DAFS_glyph_wrapper 
	: public DAFS_entity_wrapper;
	public glyph_wrapper; 
{
	// private members TBD
public:
	// methods TBD
};
#endif
