
/*
 * Copyright (c) 1994 RAF Technology
 * developed for ARPA under contract MDA 904-93-C-7219
 *
 * Permission to use, copy, modify, distribute, and sell this software and 
 * its documentation for any purpose is hereby granted without fee, provided
 * that (i) the above copyright notices and this permission notice appear in
 * all copies of the software and related documentation, and (ii) the names of
 * RAF Technology or ARPA  may not be used in any advertising or
 * publicity relating to the software without the specific, prior written
 * permission of RAF Technology and ARPA.
 * 
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
 * 
 * IN NO EVENT SHALL RAF TECHNOLOGY OR ARPA  BE LIABLE FOR
 * ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
 * OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
 * WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
 * LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
 * OF THIS SOFTWARE.
 */

#include "rafport.h"

#ifdef SYS_OS_YARC

int optind;
char *optarg;
optind = 1;

/*
// while ((c = getopt(argc,argv,"f:h")) != EOF) {
*/

int
getopt(int argc, char **argv, char *options)
{
	int j;
	if (argc >= optind+1 ) {
		if (argv[optind][0] == '-') {
			for (j = 0; j < strlen(options); j += 2) {
#if 0
				printf("%c options[j] %c argv[optind][1]",options[j],argv[optind][1]);
#endif
				if (argv[optind][1] == options[j]) {
					if (argv[optind][2] != '\0') {
						optarg = argv[optind];
						optarg += 2;
					}
					else {
						optind++;
						optarg = argv[optind];
					}
					optind++;
					return(options[j]);
				}
			}
			optind++;
			return('?');
		}
		optind++;
		return(getopt(argc,argv,options));
	}
	return(EOF);
}

#endif
