#include "sglobal.h"
# include "stdio.h"
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

/* Copyright 1991 NEC Corporation, Tokyo, Japan.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and that
 * both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of NEC Corporation
 * not be used in advertising or publicity pertaining to distribution
 * of the software without specific, written prior permission.  NEC 
 * Corporation makes no representations about the suitability of this
 * software for any purpose.  It is provided "as is" without express
 * or implied warranty.
 *
 * NEC CORPORATION DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN 
 * NO EVENT SHALL NEC CORPORATION BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF 
 * USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR 
 * OTHER TORTUOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR 
 * PERFORMANCE OF THIS SOFTWARE. 
 */

static char lex_rcs_id[]=
"@(#) 102.1 $Header: /raf/groo/devel/home/arpa/src/canna/RCS/lex.c,v 1.1 1995/01/05 21:43:12 devel Exp $";

#include "gram.h"
#include <iroha/keydef.h>
#ifndef Ctl
#define Ctl(x)	((x) & 0x1F)
#endif

extern int IROHA_ParseError;
extern char IROHA_rcfilename[];

# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
			{ return (COMMA); }
break;
case 2:
			{ return (LB); }
break;
case 3:
			{ return (RB); }
break;
case 4:
			{ return (LP); }
break;
case 5:
			{ return (RP); }
break;
case 6:
		{ 
	(void)sscanf(&yytext[1], "%d", &yylval.num);
	yylval.num += IROHA_KEY_F1 - 1 ;		     return (KEY);
				}
break;
case 7:
		{ 
	(void)sscanf(&yytext[1], "%d", &yylval.num);
	yylval.num += IROHA_KEY_F1 - 1 ;		     return (KEY);
				}
break;
case 8:
		{
	(void)sscanf(&yytext[2], "%d",	&yylval.num);
	yylval.num += IROHA_KEY_PF1 - 1;                     return (KEY);
				}
break;
case 9:
		{
	(void)sscanf(&yytext[2], "%d",	&yylval.num);
	yylval.num += IROHA_KEY_PF1 - 1;                     return (KEY);
				}
break;
case 10:
		{ yylval.num = 0x1b ;        return (KEY); }
break;
case 11:
       { yylval.num = 0x1b ;        return (KEY); }
break;
case 12:
		{ yylval.num = '\t';         return (KEY); }
break;
case 13:
	{ yylval.num = IROHA_KEY_Nfer ; return (KEY); }
break;
case 14:
	{ yylval.num = IROHA_KEY_Xfer ; return (KEY); }
break;
case 15:
{
	yylval.num = '\b' ;                                  return (KEY); }
break;
case 16:
{ yylval.num = IROHA_KEY_Insert;return (KEY); }
break;
case 17:
{ yylval.num = 0x7f ;        return (KEY); }
break;
case 18:
{ yylval.num = IROHA_KEY_Rollup;return (KEY); }
break;
case 19:
{
	yylval.num = IROHA_KEY_Rolldown ;                    return (KEY); }
break;
case 20:
		{ yylval.num = IROHA_KEY_Up ;return (KEY); }
break;
case 21:
	{ yylval.num = IROHA_KEY_Down ; return (KEY); }
break;
case 22:
	{ yylval.num = IROHA_KEY_Left ; return (KEY); }
break;
case 23:
	{ yylval.num = IROHA_KEY_Right; return (KEY); }
break;
case 24:
	{ yylval.num = Ctl('K') ;    return (KEY); }
break;
case 25:
	{ yylval.num = IROHA_KEY_Help ; return (KEY); }
break;
case 26:
	{ yylval.num = '\r' ;        return (KEY); }
break;
case 27:
	{ yylval.num = ' ' ;         return (KEY); }
break;
case 28:
{ yylval.num = '\r' ;        return (KEY); }
break;
case 29:
{ yylval.num = IROHA_KEY_Shift_Nfer ; return (KEY); }
break;
case 30:
{ yylval.num = IROHA_KEY_Shift_Xfer ; return (KEY); }
break;
case 31:
	{ yylval.num = IROHA_KEY_Shift_Up ;return (KEY); }
break;
case 32:
{ yylval.num = IROHA_KEY_Shift_Down ; return (KEY); }
break;
case 33:
{ yylval.num = IROHA_KEY_Shift_Left ; return (KEY); }
break;
case 34:
{ yylval.num = IROHA_KEY_Shift_Right; return (KEY); }
break;
case 35:
{ yylval.num = IROHA_KEY_Cntrl_Nfer ; return (KEY); }
break;
case 36:
{ yylval.num = IROHA_KEY_Cntrl_Xfer ; return (KEY); }
break;
case 37:
	{ yylval.num = IROHA_KEY_Cntrl_Up ;return (KEY); }
break;
case 38:
{ yylval.num = IROHA_KEY_Cntrl_Down ; return (KEY); }
break;
case 39:
{ yylval.num = IROHA_KEY_Cntrl_Left ; return (KEY); }
break;
case 40:
{ yylval.num = IROHA_KEY_Cntrl_Right; return (KEY); }
break;
case 41:
{ yylval.num = IROHA_KEY_Cntrl_Nfer ; return (KEY); }
break;
case 42:
{ yylval.num = IROHA_KEY_Cntrl_Xfer ; return (KEY); }
break;
case 43:
	{ yylval.num = IROHA_KEY_Cntrl_Up ;return (KEY); }
break;
case 44:
{ yylval.num = IROHA_KEY_Cntrl_Down ; return (KEY); }
break;
case 45:
{ yylval.num = IROHA_KEY_Cntrl_Left ; return (KEY); }
break;
case 46:
{ yylval.num = IROHA_KEY_Cntrl_Right; return (KEY); }
break;
case 47:
		{ 
	yylval.num = Ctl(yytext[1]) ;                        return (KEY); }
break;
case 48:
		{ 
	yylval.num = Ctl(yytext[2]) ;                        return (KEY); }
break;
case 49:
			{ yylval.num = yytext[0] ;   return (KEY); }
break;
case 50:
			{ yylval.num = ',' ;	     return (KEY); }
break;
case 51:
			{ yylval.num = '#' ;	     return (KEY); }
break;
case 52:
			{ yylval.num = '{' ;	     return (KEY); }
break;
case 53:
			{ yylval.num = '}' ;	     return (KEY); }
break;
case 54:
			{ yylval.num = '(' ;	     return (KEY); }
break;
case 55:
			{ yylval.num = ')' ;	     return (KEY); }
break;
case 56:
{ 
	yylval.num = IROHA_KEY_Undefine ;                    return (KEY); }
break;
case 57:
{ 
	return (ROMKANATABLE); }
break;
case 58:
{ return (INITIALMODE); }
break;
case 59:
{
	return (HENKANNYURYOKUMODE); }
break;
case 60:
{
	return (ZENHIRAKAKUTEIMODE); }
break;
case 61:
{
	return (ZENHIRAHENKANMODE); }
break;
case 62:
	{
	return (ZENHIRAKAKUTEIMODE); }
break;
case 63:
{
	return (ZENHIRAKAKUTEIMODE); }
break;
case 64:
{ 
	return (ZENKATAKAKUTEIMODE); }
break;
case 65:
{ 
	return (ZENKATAHENKANMODE); }
break;
case 66:
{
	return (ZENKATAKAKUTEIMODE); }
break;
case 67:
{
	return (ZENALPHAKAKUTEIMODE); }
break;
case 68:
{
	return (ZENALPHAHENKANMODE); }
break;
case 69:
{
	return (ZENALPHAKAKUTEIMODE); }
break;
case 70:
{
	return (ZENALPHAKAKUTEIMODE); }
break;
case 71:
{ 
	return (HANKATAKAKUTEIMODE); }
break;
case 72:
{ 
	return (HANKATAHENKANMODE); }
break;
case 73:
{
	return (HANKATAKAKUTEIMODE); }
break;
case 74:
{
	return (HANALPHAKAKUTEIMODE); }
break;
case 75:
{
	return (HANALPHAHENKANMODE); }
break;
case 76:
{
	return (HANALPHAKAKUTEIMODE); }
break;
case 77:
{
	return (HANALPHAKAKUTEIMODE); }
break;
case 78:
{ return (CURSORWRAP); }
break;
case 79:
{
	return (BUNSETSUKUGIRI); }
break;
case 80:
		{ yylval.num = 1; return (ON_FLAG); }
break;
case 81:
		{ yylval.num = 0; return (OFF_FLAG); }
break;
case 82:
{ 
	return (SELECTDIRECT); }
break;
case 83:
{
	return (HEXKEYSELECT); }
break;
case 84:
{
	return (HEXKEYSELECT); }
break;
case 85:
{ return (DICTIONARY); }
break;
case 86:
{ return (USERDIC); }
break;
case 87:
{ return (BUSHUDIC); }
break;
case 88:
{ return (LOCALDIC); }
break;
case 89:
{ return (RENGODIC); }
break;
case 90:
{ return (KANADIC); }
break;
case 91:
{
				  return (CHARACTERBASEDMOVE); }
break;
case 92:
{
				  return (REVERSEWIDELY); }
break;
case 93:
{
				  return (BREAKINTOROMAN); }
break;
case 94:
{ return (GAKUSHU); }
break;
case 95:
{
				  return (QUITIFENDOFICHIRAN); }
break;
case 96:
{
        return (KAKUTEIIFENDOFBUNSETSU); }
break;
case 97:
{
	return (STAYAFTERVALIDATE); }
break;
case 98:
{
	return (GRAMATICALQUESTION); }
break;
case 99:
{
	return (FORCEKANA); }
break;
case 100:
{
	return (KOUHOCOUNT); }
break;
case 101:
{
	return (INHIBITLISTCALLBACK); }
break;
case 102:
{ return (ALPHAMODE); }
break;
case 103:
{ 
	return (QUOTEDINSERT); }
break;
case 104:
{ return (KAKUTEI); }
break;
case 105:
{ return (EXTEND); }
break;
case 106:
{ return (EXTEND); }
break;
case 107:
{ return (SHRINK); }
break;
case 108:
{ return (SHRINK); }
break;
case 109:
{ return (SHINSHUKU); }
break;
case 110:
{ return (TOUROKU); }
break;
case 111:
{ return (EXTENDMODE); }
break;
case 112:
{ return (FORWARD); }
break;
case 113:
{ return (BACKWARD); }
break;
case 114:
{ return (PREVIOUS); }
break;
case 115:
	{ return (NEXT); }
break;
case 116:
{ 
	return (BEGINNINGOFLINE); }
break;
case 117:
{ return (ENDOFLINE); }
break;
case 118:
{ return (DELETENEXT); }
break;
case 119:
{ 
	return (DELETEPREVIOUS); }
break;
case 120:
{ 
	return (KILLTOENDOFLINE); }
break;
case 121:
{ return (HENKAN); }
break;
case 122:
	{ return (QUIT); }
break;
case 123:
{ return (SELFINSERT); }
break;
case 124:
	{ return (ALPHA); }
break;
case 125:
{ 
	return (JAPANESEMODE); }
break;
case 126:
{ return (YOMIGANAI); }
break;
case 127:
{ return (HEXMODE); }
break;
case 128:
{ return (BUSHUMODE); }
break;
case 129:
{ return (KIGOUMODE); }
break;
case 130:
		{ return (KIGO); }
break;
case 131:
		{ return (KIGO); }
break;
case 132:
	{ return (YOMI); }
break;
case 133:
{ 
	return (NEXTCHARACTERSET); }
break;
case 134:
{ 
	return (PREVCHARACTERSET); }
break;
case 135:
{ 
	return (CONVERTASHEX); }
break;
case 136:
{ 
	return (CONVERTASBUSHU); }
break;
case 137:
{ return (MOJISHU); }
break;
case 138:
{ return (ZENKAKU); }
break;
case 139:
{ return (HANKAKU); }
break;
case 140:
{ return (TOUPPER); }
break;
case 141:
{ return (CAPITALIZE); }
break;
case 142:
{ return (TOLOWER); }
break;
case 143:
{ return (TANKOUHO); }
break;
case 144:
{ return (MUHENKAN); }
break;
case 145:
{ return (NEXTKOUHO); }
break;
case 146:
{ return (PREVKOUHO); }
break;
case 147:
{ 
	return (KOUHOICHIRAN); }
break;
case 148:
{ 
	return (BUBUNMUHENKAN); }
break;
case 149:
{ return (ICHIRAN); }
break;
case 150:
{ 
	return (PREVKOUHORETSU); }
break;
case 151:
{ 
	return (NEXTKOUHORETSU); }
break;
case 152:
{ 
	return (BEGINNINGOFKOUHO); }
break;
case 153:
{ return (ENDOFKOUHO); }
break;
case 154:
	{ return (HIRAGANA); }
break;
case 155:
	{ return (KATAKANA); }
break;
case 156:
		{ return (ROMAJI); }
break;
case 157:
{ 
	return (KAKUTEINYURYOKU); }
break;
case 158:
{ 
	return (HENKANNYURYOKUMODE); }
break;
case 159:
		{ return (HEX); }
break;
case 160:
	{ return (BUSHU); }
break;
case 161:
{
	return (HENKANNYURYOKU); }
break;
case 162:
{ 
	return (ZENHIRAKAKUTEI); }
break;
case 163:
{ 
	return (ZENKATAKAKUTEI); }
break;
case 164:
{ 
	return (ZENALPHAKAKUTEI); }
break;
case 165:
{ 
	return (HANKATAKAKUTEI); }
break;
case 166:
{ 
	return (HANALPHAKAKUTEI); }
break;
case 167:
{
	return (NHENKANFORICHIRAN); }
break;
case 168:
	{ return (YESNO); }
break;
case 169:
{ return (RUSSIAN); }
break;
case 170:
	{ return (GREEK); }
break;
case 171:
	{ return (LINE); }
break;
case 172:
{
				return (CHANGINGSERVER); }
break;
case 173:
{
				return (HENKANMETHOD); }
break;
case 174:
{
				return (DELETEDIC); }
break;
case 175:
{
				return (TOUROKUHINSHI); }
break;
case 176:
{
				return (TOUROKUDIC); }
break;
case 177:
{
				return (ZENKATAHENKAN); }
break;
case 178:
{
				return (ZENALPHAHENKAN); }
break;
case 179:
{
				return (HANKATAHENKAN); }
break;
case 180:
{
				return (HANALPHAHENKAN); }
break;
case 181:
	{ return (YOMIGANAI); }
break;
case 182:
{
				return (MOUNTDIC); }
break;
case 183:
   { return (MODESTRING); }
break;
case 184:
	{ yylval.ptr = (char *)0; return STRING; }
break;
case 185:
		{
	(void)sscanf(yytext, "%d", &yylval.num); return (NUMBER); }
break;
case 186:
		{ yylval.ptr = (char *)yytext; return STRING; }
break;
case 187:
		{ return NEWLINE; }
break;
case 188:
			{ return NEWLINE; }
break;
case 189:
			{;}
break;
case 190:
			{
				  char buf[256];
				  void addWarningMesg();

				  sprintf(buf,
			    "%s: %d ܤʸ `%s' ǧǤޤ",
				    IROHA_rcfilename,
				    yylineno, yytext);
				  addWarningMesg(buf);
				  IROHA_ParseError = 1;
				}
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */
yywrap() { return (1); }

#ifdef unput
#undef unput
#undef input
#undef output
#endif

#define unput(c)	IROHA_unput(c)
#define input()		IROHA_input()
#define output(c)	IROHA_output(c)
int yyvstop[] = {
0,

190,
0,

189,
190,
0,

188,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

4,
49,
190,
0,

5,
49,
190,
0,

1,
190,
0,

49,
185,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

49,
190,
0,

2,
49,
190,
0,

3,
49,
190,
0,

186,
0,

187,
0,

185,
0,

6,
0,

6,
0,

80,
0,

20,
0,

51,
0,

54,
0,

55,
0,

50,
0,

52,
0,

53,
0,

47,
0,

47,
0,

47,
0,

47,
0,

47,
0,

47,
0,

47,
0,

48,
0,

48,
0,

48,
0,

48,
0,

48,
0,

48,
0,

48,
0,

10,
0,

7,
0,

159,
0,

81,
0,

8,
0,

8,
0,

12,
0,

43,
0,

37,
0,

21,
0,

25,
0,

131,
0,

22,
0,

171,
0,

115,
0,

13,
0,

184,
0,

9,
0,

122,
0,

31,
0,

14,
0,

132,
0,

124,
0,

160,
0,

24,
0,

181,
0,

26,
0,

170,
0,

130,
0,

23,
0,

27,
0,

168,
0,

44,
0,

45,
0,

41,
0,

42,
0,

38,
0,

39,
0,

35,
0,

36,
0,

17,
0,

11,
0,

105,
0,

121,
0,

16,
0,

28,
0,

18,
0,

156,
0,

32,
0,

33,
0,

29,
0,

30,
0,

107,
0,

46,
0,

40,
0,

112,
0,

94,
0,

139,
0,

127,
0,

149,
0,

104,
0,

90,
0,

137,
0,

169,
0,

34,
0,

142,
0,

140,
0,

110,
0,

86,
0,

138,
0,

113,
0,

87,
0,

154,
0,

155,
0,

88,
0,

182,
0,

144,
0,

108,
0,

106,
0,

114,
0,

89,
0,

19,
0,

143,
0,

56,
0,

102,
0,

15,
0,

128,
0,

174,
0,

117,
0,

99,
0,

129,
0,

145,
0,

146,
0,

109,
0,

126,
0,

141,
0,

78,
0,

118,
0,

85,
0,

153,
0,

111,
0,

100,
0,

183,
0,

123,
0,

176,
0,

58,
0,

135,
0,

173,
0,

83,
0,

62,
0,

125,
0,

147,
0,

103,
0,

57,
0,

82,
0,

148,
0,

179,
0,

92,
0,

175,
0,

177,
0,

93,
0,

79,
0,

172,
0,

136,
0,

119,
0,

180,
0,

165,
0,

161,
0,

151,
0,

150,
0,

178,
0,

162,
0,

163,
0,

116,
0,

166,
0,

157,
0,

120,
0,

164,
0,

152,
0,

133,
0,

134,
0,

76,
0,

72,
0,

167,
0,

97,
0,

61,
0,

70,
0,

65,
0,

91,
0,

98,
0,

75,
0,

71,
0,

59,
158,
0,

84,
0,

95,
0,

68,
0,

60,
0,

64,
0,

74,
0,

77,
0,

73,
0,

101,
0,

67,
0,

69,
0,

63,
0,

66,
0,

96,
0,
0};
# define YYTYPE int
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,4,	1,5,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,6,	1,7,	
1,8,	0,0,	0,0,	0,0,	
0,0,	1,9,	1,10,	0,0,	
0,0,	1,11,	0,0,	2,8,	
0,0,	1,12,	1,12,	0,0,	
2,9,	2,10,	37,110,	1,12,	
2,11,	0,0,	0,0,	37,111,	
37,112,	0,0,	0,0,	37,113,	
0,0,	0,0,	1,13,	1,14,	
1,15,	1,16,	1,17,	1,18,	
1,19,	1,20,	1,21,	1,22,	
1,23,	1,24,	1,25,	1,26,	
1,27,	1,28,	1,29,	1,30,	
1,31,	1,32,	1,33,	1,6,	
1,6,	1,34,	1,35,	1,36,	
0,0,	1,37,	0,0,	1,38,	
13,46,	0,0,	22,74,	7,41,	
0,0,	29,91,	34,106,	0,0,	
2,37,	0,0,	2,38,	7,41,	
7,41,	12,45,	12,45,	12,45,	
12,45,	12,45,	12,45,	12,45,	
12,45,	12,45,	12,45,	16,57,	
0,0,	25,81,	36,109,	16,58,	
1,39,	46,123,	1,40,	25,82,	
13,46,	16,59,	22,74,	7,41,	
7,42,	29,91,	34,106,	2,39,	
0,0,	2,40,	0,0,	0,0,	
0,0,	0,0,	37,114,	0,0,	
37,115,	0,0,	7,41,	7,41,	
0,0,	0,0,	0,0,	16,57,	
7,41,	25,81,	36,109,	16,58,	
0,0,	46,123,	47,124,	25,82,	
0,0,	16,59,	48,125,	7,41,	
7,41,	7,41,	7,41,	7,41,	
7,41,	7,41,	7,41,	7,41,	
7,41,	7,41,	7,41,	7,41,	
7,41,	7,41,	7,41,	7,41,	
7,41,	7,41,	7,41,	7,41,	
7,41,	7,41,	7,41,	7,41,	
7,41,	8,43,	47,124,	14,47,	
19,67,	49,126,	48,125,	14,48,	
24,78,	8,43,	8,44,	32,101,	
24,79,	17,60,	17,61,	21,72,	
0,0,	0,0,	24,80,	17,62,	
14,49,	19,68,	0,0,	14,50,	
17,63,	32,102,	21,73,	33,103,	
52,137,	33,104,	53,138,	54,139,	
33,105,	8,43,	8,43,	14,47,	
19,67,	49,126,	0,0,	14,48,	
24,78,	0,0,	0,0,	32,101,	
24,79,	17,60,	17,61,	21,72,	
8,43,	8,43,	24,80,	17,62,	
14,49,	19,68,	8,43,	14,50,	
17,63,	32,102,	21,73,	33,103,	
52,137,	33,104,	53,138,	54,139,	
33,105,	8,43,	8,43,	8,43,	
8,43,	8,43,	8,43,	8,43,	
8,43,	8,43,	8,43,	8,43,	
8,43,	8,43,	8,43,	8,43,	
8,43,	8,43,	8,43,	8,43,	
8,43,	8,43,	8,43,	8,43,	
8,43,	8,43,	8,43,	15,51,	
55,140,	18,64,	18,65,	18,65,	
18,65,	18,65,	18,65,	18,65,	
18,65,	18,65,	20,69,	56,141,	
27,87,	23,75,	20,70,	57,142,	
28,89,	0,0,	20,71,	15,52,	
27,88,	23,76,	26,83,	26,84,	
35,107,	26,85,	15,53,	23,77,	
28,90,	58,143,	15,54,	18,66,	
55,140,	15,55,	35,108,	59,144,	
0,0,	0,0,	26,86,	15,56,	
60,145,	0,0,	20,69,	56,141,	
27,87,	23,75,	20,70,	57,142,	
28,89,	31,96,	20,71,	15,52,	
27,88,	23,76,	26,83,	26,84,	
35,107,	26,85,	15,53,	23,77,	
28,90,	58,143,	15,54,	18,66,	
30,92,	15,55,	35,108,	59,144,	
30,93,	50,127,	26,86,	15,56,	
60,145,	31,97,	30,94,	62,148,	
31,98,	63,149,	66,151,	67,152,	
30,95,	50,128,	69,155,	68,153,	
31,99,	71,159,	50,129,	68,154,	
31,100,	64,150,	64,150,	64,150,	
64,150,	64,150,	64,150,	0,0,	
30,92,	0,0,	0,0,	0,0,	
30,93,	50,127,	0,0,	0,0,	
0,0,	31,97,	30,94,	62,148,	
31,98,	63,149,	66,151,	67,152,	
30,95,	50,128,	69,155,	68,153,	
31,99,	71,159,	50,129,	68,154,	
31,100,	38,0,	38,0,	38,0,	
38,0,	38,0,	38,0,	38,0,	
38,0,	38,0,	38,0,	38,0,	
38,0,	38,0,	38,0,	38,0,	
38,0,	38,0,	38,0,	38,0,	
38,0,	38,0,	38,0,	38,0,	
38,0,	38,0,	38,0,	38,0,	
38,0,	38,0,	38,0,	38,0,	
38,0,	38,116,	38,116,	89,184,	
89,185,	89,185,	89,185,	89,185,	
89,185,	89,185,	89,185,	89,185,	
38,0,	0,0,	0,0,	0,0,	
38,116,	38,116,	0,0,	0,0,	
0,0,	0,0,	38,116,	184,285,	
184,285,	184,285,	184,285,	184,285,	
184,285,	0,0,	0,0,	0,0,	
0,0,	38,116,	38,116,	38,116,	
38,117,	38,116,	38,116,	38,116,	
38,116,	38,116,	38,116,	38,116,	
38,118,	38,116,	38,119,	38,116,	
38,116,	38,116,	38,120,	38,116,	
38,116,	38,121,	38,116,	38,116,	
38,122,	38,116,	38,116,	51,0,	
51,0,	51,0,	51,0,	51,0,	
51,0,	51,0,	51,0,	51,0,	
51,0,	51,0,	51,0,	51,0,	
51,0,	51,0,	51,0,	51,0,	
51,0,	51,0,	51,0,	51,0,	
51,0,	51,0,	51,0,	51,0,	
51,0,	51,0,	51,0,	51,0,	
51,0,	51,0,	51,0,	51,130,	
51,130,	0,0,	0,0,	38,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	51,0,	0,0,	
0,0,	0,0,	51,130,	51,130,	
0,0,	0,0,	0,0,	0,0,	
51,130,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	72,160,	
0,0,	74,164,	0,0,	51,130,	
51,130,	51,130,	51,131,	51,130,	
51,130,	51,130,	51,130,	51,130,	
51,130,	51,130,	51,132,	51,130,	
51,133,	51,130,	51,130,	51,130,	
51,134,	51,130,	51,130,	51,135,	
51,130,	51,130,	51,136,	51,130,	
51,130,	61,146,	70,156,	72,160,	
70,157,	74,164,	75,165,	73,161,	
73,162,	75,166,	77,170,	76,168,	
78,171,	79,172,	70,158,	75,167,	
76,169,	61,147,	73,163,	80,173,	
0,0,	82,177,	83,178,	84,179,	
85,180,	87,183,	0,0,	86,181,	
86,182,	90,186,	0,0,	93,192,	
0,0,	61,146,	70,156,	95,195,	
70,157,	51,0,	75,165,	73,161,	
73,162,	75,166,	77,170,	76,168,	
78,171,	79,172,	70,158,	75,167,	
76,169,	61,147,	73,163,	80,173,	
81,174,	82,177,	83,178,	84,179,	
85,180,	87,183,	81,175,	86,181,	
86,182,	90,186,	91,187,	93,192,	
92,189,	94,193,	94,194,	95,195,	
91,188,	81,176,	92,190,	96,196,	
92,191,	97,202,	98,203,	99,205,	
100,206,	101,207,	102,209,	96,197,	
103,211,	96,198,	105,212,	98,204,	
81,174,	96,199,	106,213,	102,210,	
96,200,	101,208,	81,175,	96,201,	
107,214,	108,215,	91,187,	109,216,	
92,189,	94,193,	94,194,	117,217,	
91,188,	81,176,	92,190,	96,196,	
92,191,	97,202,	98,203,	99,205,	
100,206,	101,207,	102,209,	96,197,	
103,211,	96,198,	105,212,	98,204,	
118,218,	96,199,	106,213,	102,210,	
96,200,	101,208,	119,219,	96,201,	
107,214,	108,215,	120,220,	109,216,	
121,221,	122,222,	123,223,	117,217,	
124,224,	125,225,	126,226,	127,227,	
128,228,	129,229,	131,230,	132,231,	
133,232,	134,233,	135,234,	136,235,	
137,236,	138,237,	139,239,	140,240,	
118,218,	138,238,	141,241,	142,242,	
143,243,	144,244,	119,219,	145,245,	
146,246,	147,247,	120,220,	148,248,	
121,221,	122,222,	123,223,	149,249,	
124,224,	125,225,	126,226,	127,227,	
128,228,	129,229,	131,230,	132,231,	
133,232,	134,233,	135,234,	136,235,	
137,236,	138,237,	139,239,	140,240,	
151,250,	138,238,	141,241,	142,242,	
143,243,	144,244,	152,252,	145,245,	
146,246,	147,247,	153,253,	148,248,	
154,254,	155,255,	156,257,	149,249,	
157,258,	158,259,	159,261,	158,260,	
151,251,	160,262,	161,263,	155,256,	
162,264,	163,265,	164,266,	165,267,	
166,268,	167,269,	168,270,	169,271,	
151,250,	170,272,	171,273,	172,274,	
173,275,	174,276,	152,252,	175,277,	
176,278,	177,279,	153,253,	178,280,	
154,254,	155,255,	156,257,	179,281,	
157,258,	158,259,	159,261,	158,260,	
151,251,	160,262,	161,263,	155,256,	
162,264,	163,265,	164,266,	165,267,	
166,268,	167,269,	168,270,	169,271,	
180,282,	170,272,	171,273,	172,274,	
173,275,	174,276,	181,283,	175,277,	
176,278,	177,279,	182,284,	178,280,	
186,286,	187,287,	188,288,	179,281,	
189,289,	190,290,	191,291,	192,292,	
193,293,	194,294,	195,296,	196,297,	
197,298,	198,299,	199,300,	200,301,	
201,302,	202,303,	202,304,	194,295,	
180,282,	203,305,	204,306,	205,307,	
206,308,	208,309,	181,283,	209,310,	
211,313,	210,311,	182,284,	210,312,	
186,286,	187,287,	188,288,	212,314,	
189,289,	190,290,	191,291,	192,292,	
193,293,	194,294,	195,296,	196,297,	
197,298,	198,299,	199,300,	200,301,	
201,302,	202,303,	202,304,	194,295,	
213,315,	203,305,	204,306,	205,307,	
206,308,	208,309,	214,316,	209,310,	
211,313,	210,311,	215,317,	210,312,	
216,318,	217,321,	218,322,	212,314,	
219,323,	220,324,	222,325,	216,319,	
223,326,	224,327,	216,320,	225,329,	
226,330,	224,328,	227,331,	228,332,	
229,333,	230,334,	231,335,	232,336,	
213,315,	233,337,	235,338,	236,339,	
237,340,	238,341,	214,316,	239,342,	
240,343,	241,344,	215,317,	242,345,	
216,318,	217,321,	218,322,	243,346,	
219,323,	220,324,	222,325,	216,319,	
223,326,	224,327,	216,320,	225,329,	
226,330,	224,328,	227,331,	228,332,	
229,333,	230,334,	231,335,	232,336,	
245,347,	233,337,	235,338,	236,339,	
237,340,	238,341,	246,348,	239,342,	
240,343,	241,344,	247,349,	242,345,	
248,350,	249,351,	250,352,	243,346,	
251,353,	252,354,	253,355,	254,356,	
255,357,	256,358,	258,359,	259,360,	
260,361,	261,362,	262,363,	263,364,	
264,365,	265,366,	266,367,	267,368,	
245,347,	268,369,	269,370,	270,371,	
271,372,	272,373,	246,348,	275,374,	
276,375,	277,376,	247,349,	278,377,	
248,350,	249,351,	250,352,	279,378,	
251,353,	252,354,	253,355,	254,356,	
255,357,	256,358,	258,359,	259,360,	
260,361,	261,362,	262,363,	263,364,	
264,365,	265,366,	266,367,	267,368,	
282,382,	268,369,	269,370,	270,371,	
271,372,	272,373,	284,383,	275,374,	
276,375,	277,376,	287,388,	278,377,	
280,379,	280,380,	288,389,	279,378,	
286,384,	286,385,	289,390,	290,391,	
291,392,	280,381,	292,393,	286,386,	
293,394,	286,387,	294,396,	295,397,	
296,398,	297,399,	298,400,	299,401,	
282,382,	300,402,	302,403,	303,404,	
304,405,	305,406,	284,383,	306,407,	
307,408,	293,395,	287,388,	308,409,	
280,379,	280,380,	288,389,	309,410,	
286,384,	286,385,	289,390,	290,391,	
291,392,	280,381,	292,393,	286,386,	
293,394,	286,387,	294,396,	295,397,	
296,398,	297,399,	298,400,	299,401,	
310,411,	300,402,	302,403,	303,404,	
304,405,	305,406,	311,412,	306,407,	
307,408,	293,395,	312,413,	308,409,	
313,414,	314,415,	316,416,	309,410,	
317,417,	318,418,	319,419,	320,420,	
321,421,	322,422,	323,423,	324,424,	
325,425,	326,426,	327,427,	328,428,	
329,429,	330,430,	331,431,	332,432,	
310,411,	334,435,	333,433,	335,436,	
336,437,	337,438,	311,412,	338,439,	
339,440,	340,441,	312,413,	333,434,	
313,414,	314,415,	316,416,	341,442,	
317,417,	318,418,	319,419,	320,420,	
321,421,	322,422,	323,423,	324,424,	
325,425,	326,426,	327,427,	328,428,	
329,429,	330,430,	331,431,	332,432,	
343,443,	334,435,	333,433,	335,436,	
336,437,	337,438,	344,444,	338,439,	
339,440,	340,441,	345,445,	333,434,	
346,446,	348,447,	348,448,	341,442,	
350,449,	351,450,	352,451,	353,452,	
354,453,	355,454,	357,455,	359,458,	
358,456,	360,459,	361,460,	362,461,	
363,462,	364,463,	365,464,	366,465,	
343,443,	358,457,	367,466,	368,467,	
369,468,	370,469,	344,444,	371,470,	
372,471,	373,472,	345,445,	374,474,	
346,446,	348,447,	348,448,	373,473,	
350,449,	351,450,	352,451,	353,452,	
354,453,	355,454,	357,455,	359,458,	
358,456,	360,459,	361,460,	362,461,	
363,462,	364,463,	365,464,	366,465,	
375,475,	358,457,	367,466,	368,467,	
369,468,	370,469,	376,476,	371,470,	
372,471,	373,472,	377,477,	374,474,	
378,478,	379,479,	380,480,	373,473,	
381,481,	382,482,	383,483,	384,484,	
385,485,	386,486,	387,487,	388,488,	
389,489,	390,490,	391,491,	392,492,	
394,493,	395,494,	396,495,	397,496,	
375,475,	398,497,	399,498,	400,499,	
401,500,	402,501,	376,476,	403,502,	
404,503,	405,504,	377,477,	406,505,	
378,478,	379,479,	380,480,	407,506,	
381,481,	382,482,	383,483,	384,484,	
385,485,	386,486,	387,487,	388,488,	
389,489,	390,490,	391,491,	392,492,	
394,493,	395,494,	396,495,	397,496,	
409,507,	398,497,	399,498,	400,499,	
401,500,	402,501,	410,508,	403,502,	
404,503,	405,504,	411,509,	406,505,	
412,510,	413,511,	414,512,	407,506,	
415,513,	417,514,	418,515,	419,516,	
420,517,	424,519,	426,520,	427,521,	
428,522,	429,523,	430,524,	431,525,	
432,526,	420,518,	433,527,	434,528,	
409,507,	438,529,	440,530,	441,531,	
442,532,	443,533,	410,508,	444,534,	
446,538,	447,539,	411,509,	448,540,	
412,510,	413,511,	414,512,	450,541,	
415,513,	417,514,	418,515,	419,516,	
420,517,	424,519,	426,520,	427,521,	
428,522,	429,523,	430,524,	431,525,	
432,526,	420,518,	433,527,	434,528,	
445,535,	438,529,	440,530,	441,531,	
442,532,	443,533,	451,542,	444,534,	
446,538,	447,539,	445,536,	448,540,	
445,537,	452,543,	453,544,	450,541,	
454,545,	455,546,	456,547,	457,548,	
458,549,	458,550,	459,551,	460,552,	
461,553,	462,554,	463,555,	464,556,	
466,557,	467,558,	468,559,	469,560,	
445,535,	470,561,	471,562,	472,563,	
473,564,	474,565,	451,542,	475,566,	
476,567,	477,568,	445,536,	478,569,	
445,537,	452,543,	453,544,	479,570,	
454,545,	455,546,	456,547,	457,548,	
458,549,	458,550,	459,551,	460,552,	
461,553,	462,554,	463,555,	464,556,	
466,557,	467,558,	468,559,	469,560,	
480,571,	470,561,	471,562,	472,563,	
473,564,	474,565,	481,572,	475,566,	
476,567,	477,568,	482,573,	478,569,	
483,574,	484,575,	485,576,	479,570,	
486,577,	487,578,	488,579,	489,580,	
490,581,	492,582,	493,583,	496,584,	
497,585,	501,586,	503,587,	504,588,	
505,589,	507,590,	508,591,	509,592,	
480,571,	510,593,	511,594,	512,595,	
513,596,	514,597,	481,572,	515,598,	
516,599,	517,600,	482,573,	518,601,	
483,574,	484,575,	485,576,	520,602,	
486,577,	487,578,	488,579,	489,580,	
490,581,	492,582,	493,583,	496,584,	
497,585,	501,586,	503,587,	504,588,	
505,589,	507,590,	508,591,	509,592,	
521,603,	510,593,	511,594,	512,595,	
513,596,	514,597,	522,604,	515,598,	
516,599,	517,600,	523,605,	518,601,	
524,606,	525,607,	526,608,	520,602,	
527,609,	528,610,	530,611,	531,612,	
532,613,	533,614,	534,615,	535,616,	
536,617,	537,618,	538,619,	539,620,	
540,621,	541,622,	542,623,	545,624,	
521,603,	546,625,	548,629,	549,631,	
550,632,	548,630,	522,604,	551,633,	
553,634,	555,635,	523,605,	556,636,	
524,606,	525,607,	526,608,	557,637,	
527,609,	528,610,	530,611,	531,612,	
532,613,	533,614,	534,615,	535,616,	
536,617,	537,618,	538,619,	539,620,	
540,621,	541,622,	542,623,	545,624,	
547,626,	546,625,	548,629,	549,631,	
550,632,	548,630,	560,640,	551,633,	
553,634,	555,635,	547,627,	556,636,	
561,641,	558,638,	562,642,	557,637,	
563,643,	547,628,	558,639,	564,644,	
565,645,	566,646,	568,647,	569,648,	
570,649,	571,650,	572,651,	573,652,	
574,653,	575,654,	576,655,	577,656,	
547,626,	578,657,	579,658,	580,659,	
581,660,	582,661,	560,640,	583,662,	
584,663,	587,664,	547,627,	588,665,	
561,641,	558,638,	562,642,	589,666,	
563,643,	547,628,	558,639,	564,644,	
565,645,	566,646,	568,647,	569,648,	
570,649,	571,650,	572,651,	573,652,	
574,653,	575,654,	576,655,	577,656,	
590,667,	578,657,	579,658,	580,659,	
581,660,	582,661,	591,668,	583,662,	
584,663,	587,664,	594,669,	588,665,	
595,671,	597,672,	594,670,	589,666,	
598,673,	599,674,	600,676,	601,680,	
599,675,	602,682,	601,681,	603,683,	
605,684,	600,677,	606,685,	607,686,	
600,678,	608,687,	610,688,	611,689,	
590,667,	612,690,	613,691,	600,679,	
614,692,	615,693,	591,668,	616,694,	
617,695,	618,696,	594,669,	619,697,	
595,671,	597,672,	594,670,	620,698,	
598,673,	599,674,	600,676,	601,680,	
599,675,	602,682,	601,681,	603,683,	
605,684,	600,677,	606,685,	607,686,	
600,678,	608,687,	610,688,	611,689,	
621,699,	612,690,	613,691,	600,679,	
614,692,	615,693,	622,700,	616,694,	
617,695,	618,696,	623,701,	619,697,	
624,702,	625,703,	626,705,	620,698,	
625,704,	627,706,	628,707,	629,708,	
630,709,	631,710,	632,711,	633,712,	
634,713,	635,714,	636,715,	637,716,	
638,717,	639,718,	641,719,	642,720,	
621,699,	643,721,	644,722,	646,723,	
650,724,	651,725,	622,700,	652,726,	
653,727,	655,728,	623,701,	657,729,	
624,702,	625,703,	626,705,	658,730,	
625,704,	627,706,	628,707,	629,708,	
630,709,	631,710,	632,711,	633,712,	
634,713,	635,714,	636,715,	637,716,	
638,717,	639,718,	641,719,	642,720,	
659,731,	643,721,	644,722,	646,723,	
650,724,	651,725,	661,732,	652,726,	
653,727,	655,728,	663,733,	657,729,	
664,734,	665,735,	666,736,	658,730,	
667,737,	669,738,	670,739,	672,740,	
673,741,	674,743,	675,744,	673,742,	
676,745,	677,746,	678,747,	679,748,	
680,749,	681,750,	684,751,	685,752,	
659,731,	686,753,	687,754,	689,755,	
690,756,	691,757,	661,732,	693,760,	
695,761,	692,758,	663,733,	696,762,	
664,734,	665,735,	666,736,	692,759,	
667,737,	669,738,	670,739,	672,740,	
673,741,	674,743,	675,744,	673,742,	
676,745,	677,746,	678,747,	679,748,	
680,749,	681,750,	684,751,	685,752,	
697,763,	686,753,	687,754,	689,755,	
690,756,	691,757,	698,764,	693,760,	
695,761,	692,758,	700,765,	696,762,	
702,766,	703,767,	704,768,	692,759,	
705,769,	706,770,	707,771,	708,772,	
709,773,	710,774,	711,775,	712,776,	
713,777,	714,778,	715,779,	716,780,	
717,781,	718,782,	720,783,	721,784,	
697,763,	722,785,	723,786,	724,787,	
725,788,	726,789,	698,764,	727,790,	
728,791,	729,792,	700,765,	730,793,	
702,766,	703,767,	704,768,	731,794,	
705,769,	706,770,	707,771,	708,772,	
709,773,	710,774,	711,775,	712,776,	
713,777,	714,778,	715,779,	716,780,	
717,781,	718,782,	720,783,	721,784,	
732,795,	722,785,	723,786,	724,787,	
725,788,	726,789,	733,796,	727,790,	
728,791,	729,792,	734,797,	730,793,	
735,798,	737,799,	738,800,	731,794,	
739,801,	741,802,	742,803,	743,804,	
744,805,	745,806,	746,807,	747,808,	
748,809,	749,810,	750,811,	751,812,	
752,813,	753,814,	754,815,	756,816,	
732,795,	757,817,	758,818,	759,819,	
762,820,	766,821,	733,796,	767,822,	
768,823,	769,824,	734,797,	770,825,	
735,798,	737,799,	738,800,	771,826,	
739,801,	741,802,	742,803,	743,804,	
744,805,	745,806,	746,807,	747,808,	
748,809,	749,810,	750,811,	751,812,	
752,813,	753,814,	754,815,	756,816,	
772,827,	757,817,	758,818,	759,819,	
762,820,	766,821,	773,828,	767,822,	
768,823,	769,824,	774,829,	770,825,	
775,830,	776,831,	777,832,	771,826,	
778,833,	779,834,	780,835,	781,836,	
782,837,	783,838,	785,839,	787,840,	
788,841,	789,842,	790,843,	791,844,	
792,845,	793,846,	794,847,	795,848,	
772,827,	796,849,	797,850,	799,851,	
801,852,	802,853,	773,828,	803,854,	
804,855,	805,856,	774,829,	806,857,	
775,830,	776,831,	777,832,	807,858,	
778,833,	779,834,	780,835,	781,836,	
782,837,	783,838,	785,839,	787,840,	
788,841,	789,842,	790,843,	791,844,	
792,845,	793,846,	794,847,	795,848,	
808,859,	796,849,	797,850,	799,851,	
801,852,	802,853,	809,860,	803,854,	
804,855,	805,856,	810,861,	806,857,	
811,862,	812,863,	812,864,	807,858,	
813,865,	814,866,	815,867,	816,868,	
817,869,	818,870,	819,871,	820,872,	
821,873,	822,874,	823,875,	824,876,	
825,877,	826,878,	827,879,	828,880,	
808,859,	829,881,	830,882,	831,883,	
832,884,	833,885,	809,860,	835,886,	
836,887,	837,888,	810,861,	838,889,	
811,862,	812,863,	812,864,	839,890,	
813,865,	814,866,	815,867,	816,868,	
817,869,	818,870,	819,871,	820,872,	
821,873,	822,874,	823,875,	824,876,	
825,877,	826,878,	827,879,	828,880,	
840,891,	829,881,	830,882,	831,883,	
832,884,	833,885,	841,892,	835,886,	
836,887,	837,888,	842,893,	838,889,	
843,894,	844,895,	845,896,	839,890,	
846,897,	847,898,	848,899,	849,900,	
850,901,	851,902,	852,903,	853,904,	
854,905,	855,906,	856,907,	857,908,	
858,909,	859,910,	860,911,	861,912,	
840,891,	862,913,	863,914,	864,915,	
865,916,	866,917,	841,892,	867,918,	
868,919,	869,920,	842,893,	870,921,	
843,894,	844,895,	845,896,	872,922,	
846,897,	847,898,	848,899,	849,900,	
850,901,	851,902,	852,903,	853,904,	
854,905,	855,906,	856,907,	857,908,	
858,909,	859,910,	860,911,	861,912,	
873,923,	862,913,	863,914,	864,915,	
865,916,	866,917,	874,924,	867,918,	
868,919,	869,920,	875,925,	870,921,	
876,926,	877,927,	878,928,	872,922,	
879,929,	880,930,	882,931,	885,932,	
887,933,	888,934,	889,935,	891,936,	
892,937,	893,938,	894,939,	895,940,	
896,941,	897,942,	899,943,	902,944,	
873,923,	903,945,	904,946,	905,947,	
906,948,	907,949,	874,924,	908,950,	
909,951,	910,952,	875,925,	911,953,	
876,926,	877,927,	878,928,	912,954,	
879,929,	880,930,	882,931,	885,932,	
887,933,	888,934,	889,935,	891,936,	
892,937,	893,938,	894,939,	895,940,	
896,941,	897,942,	899,943,	902,944,	
913,955,	903,945,	904,946,	905,947,	
906,948,	907,949,	914,956,	908,950,	
909,951,	910,952,	915,957,	911,953,	
916,958,	918,959,	919,960,	912,954,	
920,961,	921,962,	922,963,	923,964,	
924,965,	925,966,	926,967,	927,968,	
928,969,	929,970,	930,971,	931,972,	
932,973,	933,974,	934,975,	935,976,	
913,955,	936,977,	937,978,	938,979,	
939,980,	940,981,	914,956,	941,982,	
942,983,	944,984,	915,957,	946,985,	
916,958,	918,959,	919,960,	947,986,	
920,961,	921,962,	922,963,	923,964,	
924,965,	925,966,	926,967,	927,968,	
928,969,	929,970,	930,971,	931,972,	
932,973,	933,974,	934,975,	935,976,	
948,987,	936,977,	937,978,	938,979,	
939,980,	940,981,	949,988,	941,982,	
942,983,	944,984,	950,989,	946,985,	
951,990,	952,991,	953,992,	947,986,	
954,993,	955,994,	956,995,	957,996,	
961,997,	964,998,	965,999,	966,1000,	
967,1001,	968,1002,	969,1003,	970,1004,	
971,1005,	972,1006,	973,1007,	974,1008,	
948,987,	975,1009,	976,1010,	977,1011,	
979,1012,	980,1013,	949,988,	981,1014,	
983,1015,	984,1016,	950,989,	985,1017,	
951,990,	952,991,	953,992,	986,1018,	
954,993,	955,994,	956,995,	957,996,	
961,997,	964,998,	965,999,	966,1000,	
967,1001,	968,1002,	969,1003,	970,1004,	
971,1005,	972,1006,	973,1007,	974,1008,	
987,1019,	975,1009,	976,1010,	977,1011,	
979,1012,	980,1013,	988,1020,	981,1014,	
983,1015,	984,1016,	989,1021,	985,1017,	
990,1022,	991,1023,	992,1024,	986,1018,	
993,1025,	994,1026,	995,1027,	997,1028,	
998,1029,	999,1030,	1000,1031,	1001,1032,	
1002,1033,	1003,1034,	1004,1035,	1005,1036,	
1006,1037,	1007,1038,	1008,1039,	1011,1040,	
987,1019,	1012,1041,	1013,1042,	1014,1043,	
1015,1044,	1016,1045,	988,1020,	1017,1046,	
1018,1047,	1019,1048,	989,1021,	1020,1049,	
990,1022,	991,1023,	992,1024,	1021,1050,	
993,1025,	994,1026,	995,1027,	997,1028,	
998,1029,	999,1030,	1000,1031,	1001,1032,	
1002,1033,	1003,1034,	1004,1035,	1005,1036,	
1006,1037,	1007,1038,	1008,1039,	1011,1040,	
1022,1051,	1012,1041,	1013,1042,	1014,1043,	
1015,1044,	1016,1045,	1023,1052,	1017,1046,	
1018,1047,	1019,1048,	1024,1053,	1020,1049,	
1025,1054,	1026,1055,	1028,1056,	1021,1050,	
1029,1057,	1030,1058,	1031,1059,	1032,1060,	
1033,1061,	1034,1062,	1035,1063,	1036,1064,	
1037,1065,	1038,1066,	1039,1067,	1041,1068,	
1042,1069,	1044,1070,	1045,1071,	1046,1072,	
1022,1051,	1047,1073,	1048,1074,	1049,1075,	
1050,1076,	1051,1077,	1023,1052,	1052,1078,	
1053,1079,	1054,1080,	1024,1053,	1055,1081,	
1025,1054,	1026,1055,	1028,1056,	1056,1082,	
1029,1057,	1030,1058,	1031,1059,	1032,1060,	
1033,1061,	1034,1062,	1035,1063,	1036,1064,	
1037,1065,	1038,1066,	1039,1067,	1041,1068,	
1042,1069,	1044,1070,	1045,1071,	1046,1072,	
1057,1083,	1047,1073,	1048,1074,	1049,1075,	
1050,1076,	1051,1077,	1058,1084,	1052,1078,	
1053,1079,	1054,1080,	1059,1085,	1055,1081,	
1060,1086,	1061,1087,	1064,1088,	1056,1082,	
1065,1089,	1066,1090,	1067,1091,	1069,1092,	
1070,1093,	1072,1094,	1073,1095,	1075,1096,	
1076,1097,	1077,1098,	1078,1099,	1081,1100,	
1085,1101,	1086,1102,	1087,1103,	1090,1104,	
1057,1083,	1091,1105,	1095,1106,	1097,1107,	
1098,1108,	1099,1109,	1058,1084,	1105,1110,	
1110,1111,	1111,1112,	1059,1085,	0,0,	
1060,1086,	1061,1087,	1064,1088,	0,0,	
1065,1089,	1066,1090,	1067,1091,	1069,1092,	
1070,1093,	1072,1094,	1073,1095,	1075,1096,	
1076,1097,	1077,1098,	1078,1099,	1081,1100,	
1085,1101,	1086,1102,	1087,1103,	1090,1104,	
0,0,	1091,1105,	1095,1106,	1097,1107,	
1098,1108,	1099,1109,	0,0,	1105,1110,	
1110,1111,	1111,1112,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-12,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+0,	0,		yyvstop+6,
yycrank+0,	0,		yyvstop+8,
yycrank+-98,	0,		yyvstop+11,
yycrank+-188,	0,		yyvstop+14,
yycrank+0,	0,		yyvstop+17,
yycrank+0,	0,		yyvstop+21,
yycrank+0,	0,		yyvstop+25,
yycrank+61,	0,		yyvstop+28,
yycrank+20,	0,		yyvstop+32,
yycrank+126,	0,		yyvstop+35,
yycrank+234,	0,		yyvstop+38,
yycrank+50,	0,		yyvstop+41,
yycrank+124,	0,		yyvstop+44,
yycrank+232,	0,		yyvstop+47,
yycrank+127,	0,		yyvstop+50,
yycrank+225,	0,		yyvstop+53,
yycrank+136,	0,		yyvstop+56,
yycrank+33,	0,		yyvstop+59,
yycrank+228,	0,		yyvstop+62,
yycrank+127,	0,		yyvstop+65,
yycrank+42,	0,		yyvstop+68,
yycrank+233,	0,		yyvstop+71,
yycrank+222,	0,		yyvstop+74,
yycrank+226,	0,		yyvstop+77,
yycrank+16,	0,		yyvstop+80,
yycrank+275,	0,		yyvstop+83,
yycrank+284,	0,		yyvstop+86,
yycrank+134,	0,		yyvstop+89,
yycrank+137,	0,		yyvstop+92,
yycrank+32,	0,		yyvstop+95,
yycrank+235,	0,		yyvstop+98,
yycrank+53,	0,		yyvstop+101,
yycrank+19,	0,		yyvstop+104,
yycrank+-400,	0,		yyvstop+107,
yycrank+0,	0,		yyvstop+110,
yycrank+0,	0,		yyvstop+114,
yycrank+0,	yysvec+7,	0,	
yycrank+0,	0,		yyvstop+118,
yycrank+0,	yysvec+8,	0,	
yycrank+0,	0,		yyvstop+120,
yycrank+0,	yysvec+12,	yyvstop+122,
yycrank+45,	0,		0,	
yycrank+91,	0,		0,	
yycrank+91,	0,		0,	
yycrank+124,	0,		0,	
yycrank+283,	0,		0,	
yycrank+-490,	0,		0,	
yycrank+136,	0,		0,	
yycrank+153,	0,		0,	
yycrank+150,	0,		0,	
yycrank+202,	0,		0,	
yycrank+209,	0,		0,	
yycrank+219,	0,		0,	
yycrank+242,	0,		0,	
yycrank+228,	0,		0,	
yycrank+240,	0,		0,	
yycrank+513,	0,		0,	
yycrank+288,	0,		0,	
yycrank+273,	0,		0,	
yycrank+321,	0,		yyvstop+124,
yycrank+0,	0,		yyvstop+126,
yycrank+276,	0,		0,	
yycrank+284,	0,		0,	
yycrank+298,	0,		0,	
yycrank+284,	0,		0,	
yycrank+506,	0,		0,	
yycrank+283,	0,		0,	
yycrank+479,	0,		0,	
yycrank+515,	0,		0,	
yycrank+473,	0,		0,	
yycrank+511,	0,		0,	
yycrank+520,	0,		0,	
yycrank+505,	0,		0,	
yycrank+522,	0,		0,	
yycrank+515,	0,		0,	
yycrank+532,	0,		0,	
yycrank+564,	0,		0,	
yycrank+529,	0,		0,	
yycrank+514,	0,		0,	
yycrank+534,	0,		0,	
yycrank+535,	0,		0,	
yycrank+531,	0,		0,	
yycrank+535,	0,		0,	
yycrank+0,	0,		yyvstop+128,
yycrank+386,	0,		0,	
yycrank+540,	0,		0,	
yycrank+569,	0,		0,	
yycrank+566,	0,		0,	
yycrank+540,	0,		0,	
yycrank+569,	0,		0,	
yycrank+532,	0,		0,	
yycrank+583,	0,		0,	
yycrank+577,	0,		0,	
yycrank+581,	0,		0,	
yycrank+590,	0,		0,	
yycrank+591,	0,		0,	
yycrank+591,	0,		0,	
yycrank+582,	0,		0,	
yycrank+592,	0,		0,	
yycrank+0,	0,		yyvstop+130,
yycrank+593,	0,		0,	
yycrank+597,	0,		0,	
yycrank+589,	0,		0,	
yycrank+596,	0,		0,	
yycrank+597,	0,		0,	
yycrank+0,	0,		yyvstop+132,
yycrank+0,	0,		yyvstop+134,
yycrank+0,	0,		yyvstop+136,
yycrank+0,	0,		yyvstop+138,
yycrank+0,	0,		yyvstop+140,
yycrank+0,	0,		yyvstop+142,
yycrank+0,	0,		yyvstop+144,
yycrank+600,	0,		yyvstop+146,
yycrank+627,	0,		yyvstop+148,
yycrank+632,	0,		yyvstop+150,
yycrank+633,	0,		yyvstop+152,
yycrank+628,	0,		yyvstop+154,
yycrank+639,	0,		yyvstop+156,
yycrank+638,	0,		0,	
yycrank+637,	0,		0,	
yycrank+640,	0,		0,	
yycrank+649,	0,		0,	
yycrank+630,	0,		0,	
yycrank+633,	0,		0,	
yycrank+645,	0,		0,	
yycrank+0,	0,		yyvstop+158,
yycrank+639,	0,		yyvstop+160,
yycrank+650,	0,		yyvstop+162,
yycrank+650,	0,		yyvstop+164,
yycrank+648,	0,		yyvstop+166,
yycrank+642,	0,		yyvstop+168,
yycrank+653,	0,		yyvstop+170,
yycrank+651,	0,		0,	
yycrank+647,	0,		0,	
yycrank+661,	0,		0,	
yycrank+641,	0,		0,	
yycrank+647,	0,		0,	
yycrank+662,	0,		0,	
yycrank+648,	0,		0,	
yycrank+655,	0,		0,	
yycrank+651,	0,		0,	
yycrank+657,	0,		0,	
yycrank+668,	0,		0,	
yycrank+674,	0,		yyvstop+172,
yycrank+674,	0,		0,	
yycrank+0,	0,		yyvstop+174,
yycrank+693,	0,		0,	
yycrank+681,	0,		0,	
yycrank+693,	0,		0,	
yycrank+703,	0,		0,	
yycrank+708,	0,		0,	
yycrank+694,	0,		0,	
yycrank+701,	0,		0,	
yycrank+702,	0,		yyvstop+176,
yycrank+713,	0,		0,	
yycrank+708,	0,		0,	
yycrank+709,	0,		0,	
yycrank+700,	0,		0,	
yycrank+716,	0,		0,	
yycrank+721,	0,		0,	
yycrank+702,	0,		0,	
yycrank+723,	0,		0,	
yycrank+724,	0,		0,	
yycrank+711,	0,		0,	
yycrank+715,	0,		0,	
yycrank+721,	0,		0,	
yycrank+710,	0,		0,	
yycrank+726,	0,		0,	
yycrank+731,	0,		0,	
yycrank+728,	0,		0,	
yycrank+726,	0,		0,	
yycrank+722,	0,		0,	
yycrank+732,	0,		0,	
yycrank+719,	0,		0,	
yycrank+725,	0,		0,	
yycrank+746,	0,		0,	
yycrank+754,	0,		0,	
yycrank+765,	0,		0,	
yycrank+0,	0,		yyvstop+178,
yycrank+407,	0,		yyvstop+180,
yycrank+0,	0,		yyvstop+182,
yycrank+750,	0,		0,	
yycrank+753,	0,		0,	
yycrank+754,	0,		0,	
yycrank+769,	0,		0,	
yycrank+756,	0,		0,	
yycrank+773,	0,		0,	
yycrank+771,	0,		0,	
yycrank+768,	0,		0,	
yycrank+780,	0,		0,	
yycrank+763,	0,		0,	
yycrank+768,	0,		0,	
yycrank+779,	0,		0,	
yycrank+779,	0,		0,	
yycrank+777,	0,		0,	
yycrank+771,	0,		0,	
yycrank+782,	0,		0,	
yycrank+784,	0,		0,	
yycrank+779,	0,		0,	
yycrank+785,	0,		0,	
yycrank+792,	0,		0,	
yycrank+771,	0,		0,	
yycrank+0,	0,		yyvstop+184,
yycrank+786,	0,		0,	
yycrank+784,	0,		0,	
yycrank+785,	0,		0,	
yycrank+795,	0,		0,	
yycrank+789,	0,		0,	
yycrank+806,	0,		0,	
yycrank+816,	0,		0,	
yycrank+825,	0,		0,	
yycrank+835,	0,		0,	
yycrank+814,	0,		0,	
yycrank+832,	0,		0,	
yycrank+835,	0,		0,	
yycrank+834,	0,		0,	
yycrank+0,	0,		yyvstop+186,
yycrank+837,	0,		0,	
yycrank+843,	0,		0,	
yycrank+826,	0,		0,	
yycrank+833,	0,		0,	
yycrank+837,	0,		0,	
yycrank+836,	0,		0,	
yycrank+846,	0,		0,	
yycrank+831,	0,		0,	
yycrank+830,	0,		0,	
yycrank+848,	0,		0,	
yycrank+850,	0,		0,	
yycrank+850,	0,		0,	
yycrank+0,	0,		yyvstop+188,
yycrank+853,	0,		0,	
yycrank+839,	0,		0,	
yycrank+853,	0,		0,	
yycrank+860,	0,		0,	
yycrank+845,	0,		0,	
yycrank+859,	0,		0,	
yycrank+850,	0,		0,	
yycrank+847,	0,		0,	
yycrank+862,	0,		0,	
yycrank+0,	0,		yyvstop+190,
yycrank+863,	0,		0,	
yycrank+888,	0,		0,	
yycrank+880,	0,		0,	
yycrank+884,	0,		0,	
yycrank+887,	0,		0,	
yycrank+897,	0,		0,	
yycrank+903,	0,		0,	
yycrank+886,	0,		0,	
yycrank+905,	0,		0,	
yycrank+896,	0,		0,	
yycrank+896,	0,		0,	
yycrank+908,	0,		0,	
yycrank+0,	0,		yyvstop+192,
yycrank+909,	0,		0,	
yycrank+906,	0,		0,	
yycrank+897,	0,		0,	
yycrank+906,	0,		0,	
yycrank+896,	0,		0,	
yycrank+913,	0,		0,	
yycrank+907,	0,		0,	
yycrank+899,	0,		0,	
yycrank+904,	0,		0,	
yycrank+899,	0,		0,	
yycrank+917,	0,		0,	
yycrank+911,	0,		0,	
yycrank+902,	0,		yyvstop+194,
yycrank+904,	0,		0,	
yycrank+910,	0,		0,	
yycrank+0,	0,		yyvstop+196,
yycrank+0,	0,		yyvstop+198,
yycrank+915,	0,		0,	
yycrank+909,	0,		0,	
yycrank+910,	0,		0,	
yycrank+911,	0,		0,	
yycrank+921,	0,		0,	
yycrank+962,	0,		yyvstop+200,
yycrank+0,	0,		yyvstop+202,
yycrank+941,	0,		0,	
yycrank+0,	0,		yyvstop+204,
yycrank+940,	0,		0,	
yycrank+0,	0,		yyvstop+206,
yycrank+966,	0,		0,	
yycrank+953,	0,		yyvstop+208,
yycrank+961,	0,		0,	
yycrank+955,	0,		0,	
yycrank+953,	0,		0,	
yycrank+954,	0,		0,	
yycrank+954,	0,		0,	
yycrank+972,	0,		0,	
yycrank+968,	0,		0,	
yycrank+978,	0,		0,	
yycrank+971,	0,		0,	
yycrank+958,	0,		0,	
yycrank+976,	0,		0,	
yycrank+978,	0,		0,	
yycrank+978,	0,		0,	
yycrank+0,	0,		yyvstop+210,
yycrank+981,	0,		0,	
yycrank+984,	0,		0,	
yycrank+979,	0,		0,	
yycrank+970,	0,		0,	
yycrank+977,	0,		0,	
yycrank+987,	0,		0,	
yycrank+994,	0,		0,	
yycrank+984,	0,		0,	
yycrank+993,	0,		0,	
yycrank+1006,	0,		0,	
yycrank+1011,	0,		0,	
yycrank+1022,	0,		0,	
yycrank+1025,	0,		0,	
yycrank+0,	0,		yyvstop+212,
yycrank+1015,	0,		0,	
yycrank+1025,	0,		yyvstop+214,
yycrank+1021,	0,		0,	
yycrank+1025,	0,		0,	
yycrank+1034,	0,		0,	
yycrank+1022,	0,		0,	
yycrank+1017,	0,		0,	
yycrank+1020,	0,		0,	
yycrank+1031,	0,		0,	
yycrank+1022,	0,		0,	
yycrank+1028,	0,		yyvstop+216,
yycrank+1026,	0,		0,	
yycrank+1042,	0,		0,	
yycrank+1030,	0,		0,	
yycrank+1036,	0,		0,	
yycrank+1033,	0,		0,	
yycrank+1027,	0,		0,	
yycrank+1046,	0,		yyvstop+218,
yycrank+1035,	0,		0,	
yycrank+1031,	0,		0,	
yycrank+1034,	0,		0,	
yycrank+1045,	0,		0,	
yycrank+1037,	0,		0,	
yycrank+1055,	0,		0,	
yycrank+1048,	0,		0,	
yycrank+1060,	0,		0,	
yycrank+0,	0,		yyvstop+220,
yycrank+1062,	0,		0,	
yycrank+1068,	0,		0,	
yycrank+1085,	0,		0,	
yycrank+1077,	0,		0,	
yycrank+0,	0,		yyvstop+222,
yycrank+1082,	0,		0,	
yycrank+0,	0,		yyvstop+224,
yycrank+1091,	0,		0,	
yycrank+1093,	0,		0,	
yycrank+1087,	0,		0,	
yycrank+1081,	0,		0,	
yycrank+1092,	0,		0,	
yycrank+1081,	0,		0,	
yycrank+0,	0,		yyvstop+226,
yycrank+1086,	0,		0,	
yycrank+1093,	0,		0,	
yycrank+1089,	0,		0,	
yycrank+1080,	0,		0,	
yycrank+1102,	0,		0,	
yycrank+1106,	0,		0,	
yycrank+1107,	0,		0,	
yycrank+1100,	0,		0,	
yycrank+1109,	0,		0,	
yycrank+1091,	0,		0,	
yycrank+1109,	0,		0,	
yycrank+1110,	0,		0,	
yycrank+1107,	0,		0,	
yycrank+1116,	0,		0,	
yycrank+1106,	0,		yyvstop+228,
yycrank+1105,	0,		0,	
yycrank+1118,	0,		0,	
yycrank+1119,	0,		0,	
yycrank+1124,	0,		0,	
yycrank+1142,	0,		0,	
yycrank+1150,	0,		0,	
yycrank+1145,	0,		0,	
yycrank+1156,	0,		0,	
yycrank+1150,	0,		0,	
yycrank+1145,	0,		0,	
yycrank+1160,	0,		0,	
yycrank+1153,	0,		0,	
yycrank+1162,	0,		0,	
yycrank+1156,	0,		0,	
yycrank+1150,	0,		0,	
yycrank+1151,	0,		0,	
yycrank+1161,	0,		0,	
yycrank+1164,	0,		0,	
yycrank+1165,	0,		0,	
yycrank+1156,	0,		0,	
yycrank+1152,	0,		0,	
yycrank+0,	0,		yyvstop+230,
yycrank+1157,	0,		0,	
yycrank+1157,	0,		0,	
yycrank+1165,	0,		0,	
yycrank+1161,	0,		0,	
yycrank+1176,	0,		0,	
yycrank+1164,	0,		0,	
yycrank+1159,	0,		0,	
yycrank+1162,	0,		0,	
yycrank+1173,	0,		0,	
yycrank+1165,	0,		0,	
yycrank+1164,	0,		0,	
yycrank+1171,	0,		0,	
yycrank+1179,	0,		0,	
yycrank+1180,	0,		0,	
yycrank+0,	0,		yyvstop+232,
yycrank+1202,	0,		0,	
yycrank+1193,	0,		0,	
yycrank+1213,	0,		0,	
yycrank+1215,	0,		0,	
yycrank+1210,	0,		0,	
yycrank+1213,	0,		0,	
yycrank+1215,	0,		0,	
yycrank+0,	0,		yyvstop+234,
yycrank+1224,	0,		0,	
yycrank+1210,	0,		0,	
yycrank+1209,	0,		0,	
yycrank+1217,	0,		0,	
yycrank+0,	0,		yyvstop+236,
yycrank+0,	0,		yyvstop+238,
yycrank+0,	0,		yyvstop+240,
yycrank+1209,	0,		0,	
yycrank+0,	0,		yyvstop+242,
yycrank+1215,	0,		0,	
yycrank+1230,	0,		0,	
yycrank+1214,	0,		0,	
yycrank+1224,	0,		0,	
yycrank+1220,	0,		0,	
yycrank+1214,	0,		0,	
yycrank+1217,	0,		0,	
yycrank+1229,	0,		0,	
yycrank+1224,	0,		0,	
yycrank+0,	0,		yyvstop+244,
yycrank+0,	0,		yyvstop+246,
yycrank+0,	0,		yyvstop+248,
yycrank+1221,	0,		0,	
yycrank+0,	0,		yyvstop+250,
yycrank+1230,	0,		0,	
yycrank+1229,	0,		0,	
yycrank+1224,	0,		0,	
yycrank+1225,	0,		0,	
yycrank+1224,	0,		0,	
yycrank+1268,	0,		yyvstop+252,
yycrank+1234,	0,		0,	
yycrank+1234,	0,		0,	
yycrank+1242,	0,		0,	
yycrank+0,	0,		yyvstop+254,
yycrank+1242,	0,		yyvstop+256,
yycrank+1277,	0,		0,	
yycrank+1281,	0,		0,	
yycrank+1265,	0,		0,	
yycrank+1279,	0,		0,	
yycrank+1281,	0,		0,	
yycrank+1269,	0,		0,	
yycrank+1290,	0,		0,	
yycrank+1279,	0,		yyvstop+258,
yycrank+1275,	0,		0,	
yycrank+1290,	0,		0,	
yycrank+1282,	0,		0,	
yycrank+1283,	0,		0,	
yycrank+1278,	0,		0,	
yycrank+1287,	0,		0,	
yycrank+0,	0,		yyvstop+260,
yycrank+1281,	0,		0,	
yycrank+1292,	0,		0,	
yycrank+1299,	0,		0,	
yycrank+1289,	0,		0,	
yycrank+1290,	0,		0,	
yycrank+1301,	0,		0,	
yycrank+1292,	0,		0,	
yycrank+1305,	0,		0,	
yycrank+1300,	0,		0,	
yycrank+1293,	0,		0,	
yycrank+1291,	0,		0,	
yycrank+1304,	0,		0,	
yycrank+1314,	0,		0,	
yycrank+1300,	0,		0,	
yycrank+1335,	0,		0,	
yycrank+1321,	0,		0,	
yycrank+1332,	0,		0,	
yycrank+1345,	0,		0,	
yycrank+1330,	0,		0,	
yycrank+1349,	0,		0,	
yycrank+1331,	0,		0,	
yycrank+1332,	0,		0,	
yycrank+1349,	0,		0,	
yycrank+1346,	0,		0,	
yycrank+1347,	0,		0,	
yycrank+0,	0,		yyvstop+262,
yycrank+1352,	0,		0,	
yycrank+1335,	0,		0,	
yycrank+0,	0,		yyvstop+264,
yycrank+0,	0,		yyvstop+266,
yycrank+1358,	0,		0,	
yycrank+1346,	0,		0,	
yycrank+0,	0,		yyvstop+268,
yycrank+0,	0,		yyvstop+270,
yycrank+0,	0,		yyvstop+272,
yycrank+1341,	0,		0,	
yycrank+0,	0,		yyvstop+274,
yycrank+1358,	0,		0,	
yycrank+1344,	0,		0,	
yycrank+1343,	0,		0,	
yycrank+0,	0,		yyvstop+276,
yycrank+1345,	0,		0,	
yycrank+1358,	0,		0,	
yycrank+1349,	0,		0,	
yycrank+1351,	0,		0,	
yycrank+1349,	0,		0,	
yycrank+1357,	0,		0,	
yycrank+1369,	0,		0,	
yycrank+1359,	0,		0,	
yycrank+1367,	0,		0,	
yycrank+1375,	0,		0,	
yycrank+1356,	0,		0,	
yycrank+1378,	0,		0,	
yycrank+0,	0,		yyvstop+278,
yycrank+1379,	0,		0,	
yycrank+1397,	0,		0,	
yycrank+1402,	0,		0,	
yycrank+1396,	0,		0,	
yycrank+1392,	0,		0,	
yycrank+1405,	0,		0,	
yycrank+1393,	0,		0,	
yycrank+1413,	0,		0,	
yycrank+1413,	0,		0,	
yycrank+0,	0,		yyvstop+280,
yycrank+1409,	0,		0,	
yycrank+1412,	0,		0,	
yycrank+1415,	0,		0,	
yycrank+1420,	0,		0,	
yycrank+1404,	0,		0,	
yycrank+1414,	0,		0,	
yycrank+1419,	0,		0,	
yycrank+1407,	0,		0,	
yycrank+1425,	0,		0,	
yycrank+1406,	0,		0,	
yycrank+1414,	0,		0,	
yycrank+1414,	0,		0,	
yycrank+1416,	0,		0,	
yycrank+0,	0,		yyvstop+282,
yycrank+0,	0,		yyvstop+284,
yycrank+1428,	0,		0,	
yycrank+1432,	0,		0,	
yycrank+1463,	0,		yyvstop+286,
yycrank+1426,	0,		0,	
yycrank+1430,	0,		0,	
yycrank+1411,	0,		0,	
yycrank+1434,	0,		0,	
yycrank+0,	0,		yyvstop+288,
yycrank+1439,	0,		0,	
yycrank+0,	0,		yyvstop+290,
yycrank+1429,	0,		0,	
yycrank+1430,	0,		0,	
yycrank+1442,	0,		0,	
yycrank+1468,	0,		yyvstop+292,
yycrank+0,	0,		yyvstop+294,
yycrank+1469,	0,		0,	
yycrank+1472,	0,		0,	
yycrank+1464,	0,		0,	
yycrank+1459,	0,		0,	
yycrank+1475,	0,		0,	
yycrank+1481,	0,		0,	
yycrank+1476,	0,		0,	
yycrank+0,	0,		yyvstop+296,
yycrank+1483,	0,		0,	
yycrank+1473,	0,		0,	
yycrank+1483,	0,		0,	
yycrank+1471,	0,		0,	
yycrank+1482,	0,		0,	
yycrank+1485,	0,		0,	
yycrank+1491,	0,		0,	
yycrank+1488,	0,		0,	
yycrank+1476,	0,		0,	
yycrank+1476,	0,		0,	
yycrank+1489,	0,		0,	
yycrank+1484,	0,		0,	
yycrank+1485,	0,		0,	
yycrank+1497,	0,		0,	
yycrank+1478,	0,		0,	
yycrank+1489,	0,		0,	
yycrank+1484,	0,		0,	
yycrank+0,	0,		yyvstop+298,
yycrank+0,	0,		yyvstop+300,
yycrank+1496,	0,		0,	
yycrank+1502,	0,		0,	
yycrank+1500,	0,		0,	
yycrank+1523,	0,		0,	
yycrank+1519,	0,		0,	
yycrank+0,	0,		yyvstop+302,
yycrank+0,	0,		yyvstop+304,
yycrank+1534,	0,		yyvstop+306,
yycrank+1535,	0,		0,	
yycrank+0,	0,		yyvstop+308,
yycrank+1540,	0,		0,	
yycrank+1543,	0,		0,	
yycrank+1537,	0,		0,	
yycrank+1545,	0,		yyvstop+310,
yycrank+1539,	0,		0,	
yycrank+1544,	0,		0,	
yycrank+1546,	0,		0,	
yycrank+0,	0,		yyvstop+312,
yycrank+1545,	0,		0,	
yycrank+1539,	0,		0,	
yycrank+1550,	0,		0,	
yycrank+1546,	0,		0,	
yycrank+0,	0,		yyvstop+314,
yycrank+1553,	0,		0,	
yycrank+1533,	0,		0,	
yycrank+1542,	0,		0,	
yycrank+1544,	0,		0,	
yycrank+1545,	0,		0,	
yycrank+1564,	0,		0,	
yycrank+1564,	0,		0,	
yycrank+1544,	0,		0,	
yycrank+1564,	0,		0,	
yycrank+1553,	0,		0,	
yycrank+1567,	0,		0,	
yycrank+1587,	0,		0,	
yycrank+1594,	0,		0,	
yycrank+1601,	0,		0,	
yycrank+1603,	0,		0,	
yycrank+1597,	0,		0,	
yycrank+1594,	0,		0,	
yycrank+1608,	0,		0,	
yycrank+1595,	0,		0,	
yycrank+1606,	0,		0,	
yycrank+1611,	0,		0,	
yycrank+1593,	0,		0,	
yycrank+1593,	0,		0,	
yycrank+1603,	0,		0,	
yycrank+1603,	0,		yyvstop+316,
yycrank+1608,	0,		0,	
yycrank+1603,	0,		0,	
yycrank+1606,	0,		0,	
yycrank+1614,	0,		0,	
yycrank+1596,	0,		0,	
yycrank+0,	0,		yyvstop+318,
yycrank+1617,	0,		0,	
yycrank+1619,	0,		0,	
yycrank+1611,	0,		0,	
yycrank+1617,	0,		0,	
yycrank+0,	0,		yyvstop+320,
yycrank+1613,	0,		0,	
yycrank+0,	0,		yyvstop+322,
yycrank+0,	0,		yyvstop+324,
yycrank+0,	0,		yyvstop+326,
yycrank+1627,	0,		0,	
yycrank+1614,	0,		0,	
yycrank+1616,	0,		0,	
yycrank+1620,	0,		0,	
yycrank+0,	0,		yyvstop+328,
yycrank+1632,	0,		0,	
yycrank+0,	0,		yyvstop+330,
yycrank+1620,	0,		0,	
yycrank+1635,	0,		0,	
yycrank+1637,	0,		0,	
yycrank+0,	0,		yyvstop+332,
yycrank+1653,	0,		0,	
yycrank+0,	0,		yyvstop+334,
yycrank+1665,	0,		0,	
yycrank+1650,	0,		0,	
yycrank+1651,	0,		0,	
yycrank+1649,	0,		0,	
yycrank+1654,	0,		0,	
yycrank+0,	0,		yyvstop+336,
yycrank+1664,	0,		0,	
yycrank+1665,	0,		0,	
yycrank+0,	0,		yyvstop+338,
yycrank+1666,	0,		0,	
yycrank+1668,	0,		0,	
yycrank+1672,	0,		0,	
yycrank+1677,	0,		0,	
yycrank+1668,	0,		0,	
yycrank+1672,	0,		0,	
yycrank+1681,	0,		0,	
yycrank+1668,	0,		0,	
yycrank+1679,	0,		0,	
yycrank+1684,	0,		0,	
yycrank+0,	0,		yyvstop+340,
yycrank+0,	0,		yyvstop+342,
yycrank+1671,	0,		0,	
yycrank+1669,	0,		0,	
yycrank+1675,	0,		0,	
yycrank+1669,	0,		0,	
yycrank+0,	0,		yyvstop+344,
yycrank+1686,	0,		0,	
yycrank+1687,	0,		0,	
yycrank+1691,	0,		0,	
yycrank+1695,	0,		0,	
yycrank+1679,	0,		0,	
yycrank+0,	0,		yyvstop+346,
yycrank+1676,	0,		0,	
yycrank+1677,	0,		0,	
yycrank+1695,	0,		0,	
yycrank+1711,	0,		0,	
yycrank+0,	0,		yyvstop+348,
yycrank+1725,	0,		0,	
yycrank+0,	0,		yyvstop+350,
yycrank+1720,	0,		0,	
yycrank+1728,	0,		0,	
yycrank+1733,	0,		0,	
yycrank+1720,	0,		0,	
yycrank+1717,	0,		0,	
yycrank+1725,	0,		0,	
yycrank+1725,	0,		0,	
yycrank+1729,	0,		0,	
yycrank+1733,	0,		0,	
yycrank+1724,	0,		0,	
yycrank+1738,	0,		0,	
yycrank+1729,	0,		0,	
yycrank+1726,	0,		0,	
yycrank+1742,	0,		0,	
yycrank+1732,	0,		0,	
yycrank+1743,	0,		0,	
yycrank+1728,	0,		0,	
yycrank+0,	0,		yyvstop+352,
yycrank+1735,	0,		0,	
yycrank+1731,	0,		0,	
yycrank+1735,	0,		0,	
yycrank+1747,	0,		0,	
yycrank+1752,	0,		0,	
yycrank+1738,	0,		yyvstop+354,
yycrank+1739,	0,		0,	
yycrank+1748,	0,		0,	
yycrank+1757,	0,		0,	
yycrank+1743,	0,		yyvstop+356,
yycrank+1748,	0,		0,	
yycrank+1762,	0,		0,	
yycrank+1780,	0,		0,	
yycrank+1788,	0,		0,	
yycrank+1789,	0,		0,	
yycrank+1776,	0,		0,	
yycrank+0,	0,		yyvstop+358,
yycrank+1775,	0,		0,	
yycrank+1795,	0,		0,	
yycrank+1786,	0,		0,	
yycrank+0,	0,		yyvstop+360,
yycrank+1796,	0,		0,	
yycrank+1801,	0,		0,	
yycrank+1789,	0,		0,	
yycrank+1793,	0,		0,	
yycrank+1789,	0,		0,	
yycrank+1788,	0,		0,	
yycrank+1787,	0,		0,	
yycrank+1795,	0,		0,	
yycrank+1795,	0,		0,	
yycrank+1799,	0,		0,	
yycrank+1805,	0,		0,	
yycrank+1797,	0,		0,	
yycrank+1802,	0,		0,	
yycrank+1807,	0,		0,	
yycrank+0,	0,		yyvstop+362,
yycrank+1797,	0,		0,	
yycrank+1816,	0,		0,	
yycrank+1797,	0,		0,	
yycrank+1814,	0,		0,	
yycrank+0,	0,		yyvstop+364,
yycrank+0,	0,		yyvstop+366,
yycrank+1811,	0,		0,	
yycrank+0,	0,		yyvstop+368,
yycrank+0,	0,		yyvstop+370,
yycrank+0,	0,		yyvstop+372,
yycrank+1804,	0,		0,	
yycrank+1809,	0,		0,	
yycrank+1813,	0,		0,	
yycrank+1817,	0,		0,	
yycrank+1826,	0,		0,	
yycrank+1830,	0,		0,	
yycrank+1837,	0,		0,	
yycrank+1833,	0,		0,	
yycrank+1843,	0,		0,	
yycrank+1835,	0,		0,	
yycrank+1858,	0,		0,	
yycrank+1858,	0,		0,	
yycrank+1844,	0,		0,	
yycrank+1860,	0,		0,	
yycrank+1862,	0,		0,	
yycrank+1853,	0,		0,	
yycrank+1850,	0,		0,	
yycrank+1863,	0,		0,	
yycrank+0,	0,		yyvstop+374,
yycrank+1869,	0,		0,	
yycrank+0,	0,		yyvstop+376,
yycrank+1851,	0,		0,	
yycrank+1867,	0,		0,	
yycrank+1864,	0,		0,	
yycrank+1869,	0,		0,	
yycrank+1855,	0,		0,	
yycrank+1871,	0,		0,	
yycrank+1871,	0,		0,	
yycrank+1860,	0,		0,	
yycrank+1874,	0,		0,	
yycrank+1869,	0,		0,	
yycrank+1879,	0,		0,	
yycrank+0,	0,		yyvstop+378,
yycrank+1882,	0,		0,	
yycrank+0,	0,		yyvstop+380,
yycrank+1865,	0,		0,	
yycrank+1871,	0,		0,	
yycrank+1876,	0,		0,	
yycrank+1877,	0,		0,	
yycrank+1868,	0,		0,	
yycrank+1883,	0,		0,	
yycrank+1894,	0,		0,	
yycrank+1911,	0,		0,	
yycrank+1917,	0,		0,	
yycrank+1911,	0,		0,	
yycrank+1903,	0,		0,	
yycrank+1914,	0,		0,	
yycrank+1915,	0,		0,	
yycrank+1928,	0,		0,	
yycrank+1921,	0,		0,	
yycrank+1909,	0,		0,	
yycrank+1913,	0,		0,	
yycrank+1914,	0,		0,	
yycrank+1910,	0,		0,	
yycrank+1920,	0,		0,	
yycrank+1915,	0,		0,	
yycrank+1926,	0,		0,	
yycrank+1917,	0,		0,	
yycrank+1938,	0,		0,	
yycrank+1929,	0,		0,	
yycrank+1931,	0,		0,	
yycrank+1941,	0,		0,	
yycrank+1923,	0,		0,	
yycrank+1941,	0,		0,	
yycrank+1931,	0,		0,	
yycrank+1927,	0,		0,	
yycrank+1943,	0,		0,	
yycrank+1946,	0,		0,	
yycrank+0,	0,		yyvstop+382,
yycrank+1946,	0,		0,	
yycrank+1948,	0,		0,	
yycrank+1928,	0,		0,	
yycrank+1943,	0,		0,	
yycrank+1945,	0,		0,	
yycrank+1971,	0,		0,	
yycrank+1962,	0,		0,	
yycrank+1983,	0,		0,	
yycrank+1963,	0,		0,	
yycrank+1984,	0,		0,	
yycrank+1970,	0,		0,	
yycrank+1983,	0,		0,	
yycrank+1973,	0,		0,	
yycrank+1982,	0,		0,	
yycrank+1990,	0,		0,	
yycrank+1976,	0,		0,	
yycrank+1985,	0,		0,	
yycrank+1990,	0,		0,	
yycrank+1988,	0,		0,	
yycrank+1979,	0,		0,	
yycrank+2000,	0,		0,	
yycrank+1982,	0,		0,	
yycrank+2002,	0,		0,	
yycrank+1997,	0,		0,	
yycrank+1994,	0,		0,	
yycrank+1996,	0,		0,	
yycrank+2006,	0,		0,	
yycrank+1989,	0,		0,	
yycrank+1995,	0,		0,	
yycrank+2002,	0,		0,	
yycrank+2011,	0,		0,	
yycrank+1999,	0,		0,	
yycrank+1997,	0,		0,	
yycrank+2011,	0,		0,	
yycrank+2012,	0,		0,	
yycrank+2011,	0,		0,	
yycrank+0,	0,		yyvstop+384,
yycrank+2002,	0,		0,	
yycrank+2035,	0,		0,	
yycrank+2045,	0,		0,	
yycrank+2030,	0,		0,	
yycrank+2050,	0,		0,	
yycrank+2052,	0,		0,	
yycrank+2045,	0,		0,	
yycrank+2042,	0,		0,	
yycrank+2052,	0,		0,	
yycrank+0,	0,		yyvstop+386,
yycrank+2047,	0,		0,	
yycrank+0,	0,		yyvstop+388,
yycrank+0,	0,		yyvstop+390,
yycrank+2058,	0,		0,	
yycrank+0,	0,		yyvstop+392,
yycrank+2045,	0,		0,	
yycrank+2046,	0,		0,	
yycrank+2053,	0,		0,	
yycrank+0,	0,		yyvstop+394,
yycrank+2045,	0,		0,	
yycrank+2045,	0,		0,	
yycrank+2057,	0,		0,	
yycrank+2047,	0,		0,	
yycrank+2049,	0,		0,	
yycrank+2049,	0,		0,	
yycrank+2066,	0,		0,	
yycrank+0,	0,		yyvstop+396,
yycrank+2045,	0,		0,	
yycrank+0,	0,		yyvstop+398,
yycrank+0,	0,		yyvstop+400,
yycrank+2062,	0,		0,	
yycrank+2064,	0,		0,	
yycrank+2073,	0,		0,	
yycrank+2055,	0,		0,	
yycrank+2062,	0,		0,	
yycrank+2072,	0,		0,	
yycrank+2077,	0,		0,	
yycrank+2079,	0,		0,	
yycrank+2080,	0,		0,	
yycrank+2074,	0,		0,	
yycrank+2073,	0,		0,	
yycrank+2099,	0,		0,	
yycrank+2089,	0,		0,	
yycrank+2100,	0,		0,	
yycrank+2102,	0,		0,	
yycrank+0,	0,		yyvstop+402,
yycrank+2108,	0,		0,	
yycrank+2100,	0,		0,	
yycrank+2116,	0,		0,	
yycrank+2100,	0,		0,	
yycrank+2103,	0,		0,	
yycrank+2104,	0,		0,	
yycrank+2110,	0,		0,	
yycrank+2120,	0,		0,	
yycrank+2121,	0,		0,	
yycrank+2113,	0,		0,	
yycrank+2115,	0,		0,	
yycrank+2116,	0,		yyvstop+404,
yycrank+2121,	0,		0,	
yycrank+2110,	0,		0,	
yycrank+2120,	0,		0,	
yycrank+2127,	0,		0,	
yycrank+2123,	0,		0,	
yycrank+2121,	0,		0,	
yycrank+2118,	0,		0,	
yycrank+2117,	0,		0,	
yycrank+2130,	0,		0,	
yycrank+2135,	0,		0,	
yycrank+2122,	0,		0,	
yycrank+2122,	0,		0,	
yycrank+2136,	0,		0,	
yycrank+0,	0,		yyvstop+406,
yycrank+2141,	0,		0,	
yycrank+0,	0,		yyvstop+408,
yycrank+2133,	0,		0,	
yycrank+2146,	0,		0,	
yycrank+2155,	0,		0,	
yycrank+2165,	0,		0,	
yycrank+2173,	0,		0,	
yycrank+2166,	0,		0,	
yycrank+2167,	0,		0,	
yycrank+2169,	0,		0,	
yycrank+2171,	0,		yyvstop+410,
yycrank+2176,	0,		0,	
yycrank+2178,	0,		0,	
yycrank+2182,	0,		0,	
yycrank+0,	0,		yyvstop+412,
yycrank+0,	0,		yyvstop+414,
yycrank+0,	0,		yyvstop+416,
yycrank+2175,	0,		0,	
yycrank+0,	0,		yyvstop+418,
yycrank+0,	0,		yyvstop+420,
yycrank+2169,	0,		0,	
yycrank+2177,	0,		yyvstop+422,
yycrank+2182,	0,		0,	
yycrank+2172,	0,		0,	
yycrank+2192,	0,		0,	
yycrank+2179,	0,		0,	
yycrank+2180,	0,		0,	
yycrank+2183,	0,		yyvstop+424,
yycrank+2184,	0,		yyvstop+426,
yycrank+2186,	0,		0,	
yycrank+2197,	0,		0,	
yycrank+2180,	0,		0,	
yycrank+2197,	0,		0,	
yycrank+2198,	0,		0,	
yycrank+0,	0,		yyvstop+428,
yycrank+2186,	0,		0,	
yycrank+2193,	0,		0,	
yycrank+2202,	0,		0,	
yycrank+0,	0,		yyvstop+430,
yycrank+2199,	0,		0,	
yycrank+2208,	0,		0,	
yycrank+2198,	0,		yyvstop+432,
yycrank+2206,	0,		0,	
yycrank+2217,	0,		0,	
yycrank+2225,	0,		yyvstop+434,
yycrank+2222,	0,		0,	
yycrank+2243,	0,		0,	
yycrank+2244,	0,		0,	
yycrank+2231,	0,		0,	
yycrank+2233,	0,		0,	
yycrank+2236,	0,		yyvstop+436,
yycrank+2235,	0,		0,	
yycrank+0,	0,		yyvstop+438,
yycrank+2236,	0,		0,	
yycrank+2243,	0,		0,	
yycrank+2238,	0,		0,	
yycrank+2241,	0,		yyvstop+440,
yycrank+2242,	0,		0,	
yycrank+2243,	0,		0,	
yycrank+2253,	0,		0,	
yycrank+2254,	0,		0,	
yycrank+2244,	0,		0,	
yycrank+2245,	0,		0,	
yycrank+2259,	0,		0,	
yycrank+2241,	0,		0,	
yycrank+0,	0,		yyvstop+442,
yycrank+0,	0,		yyvstop+444,
yycrank+2243,	0,		0,	
yycrank+2264,	0,		0,	
yycrank+2261,	0,		0,	
yycrank+2247,	0,		0,	
yycrank+2250,	0,		0,	
yycrank+2249,	0,		0,	
yycrank+2256,	0,		0,	
yycrank+2259,	0,		yyvstop+446,
yycrank+2269,	0,		0,	
yycrank+2260,	0,		0,	
yycrank+2266,	0,		0,	
yycrank+2283,	0,		0,	
yycrank+2289,	0,		0,	
yycrank+2302,	0,		0,	
yycrank+2304,	0,		0,	
yycrank+2294,	0,		0,	
yycrank+0,	0,		yyvstop+448,
yycrank+2288,	0,		0,	
yycrank+2297,	0,		0,	
yycrank+2309,	0,		0,	
yycrank+2299,	0,		0,	
yycrank+2300,	0,		0,	
yycrank+2301,	0,		0,	
yycrank+2312,	0,		0,	
yycrank+2313,	0,		0,	
yycrank+2315,	0,		0,	
yycrank+2316,	0,		0,	
yycrank+2320,	0,		0,	
yycrank+2308,	0,		0,	
yycrank+0,	0,		yyvstop+450,
yycrank+2309,	0,		0,	
yycrank+2321,	0,		0,	
yycrank+0,	0,		yyvstop+452,
yycrank+2324,	0,		0,	
yycrank+2321,	0,		0,	
yycrank+2323,	0,		0,	
yycrank+2314,	0,		0,	
yycrank+2325,	0,		0,	
yycrank+2327,	0,		0,	
yycrank+2317,	0,		0,	
yycrank+2318,	0,		0,	
yycrank+2320,	0,		0,	
yycrank+2331,	0,		0,	
yycrank+2332,	0,		0,	
yycrank+2335,	0,		0,	
yycrank+2338,	0,		0,	
yycrank+2346,	0,		0,	
yycrank+2361,	0,		0,	
yycrank+2366,	0,		0,	
yycrank+2368,	0,		0,	
yycrank+2369,	0,		0,	
yycrank+0,	0,		yyvstop+454,
yycrank+0,	0,		yyvstop+456,
yycrank+2369,	0,		0,	
yycrank+2371,	0,		0,	
yycrank+2374,	0,		0,	
yycrank+2359,	0,		0,	
yycrank+0,	0,		yyvstop+458,
yycrank+2359,	0,		0,	
yycrank+2366,	0,		0,	
yycrank+0,	0,		yyvstop+460,
yycrank+2376,	0,		0,	
yycrank+2378,	0,		0,	
yycrank+0,	0,		yyvstop+462,
yycrank+2378,	0,		0,	
yycrank+2380,	0,		0,	
yycrank+2381,	0,		0,	
yycrank+2382,	0,		0,	
yycrank+0,	0,		yyvstop+464,
yycrank+0,	0,		yyvstop+466,
yycrank+2382,	0,		0,	
yycrank+0,	0,		yyvstop+468,
yycrank+0,	0,		yyvstop+470,
yycrank+0,	0,		yyvstop+472,
yycrank+2383,	0,		0,	
yycrank+2384,	0,		0,	
yycrank+2385,	0,		0,	
yycrank+0,	0,		yyvstop+474,
yycrank+0,	0,		yyvstop+476,
yycrank+2380,	0,		0,	
yycrank+2388,	0,		0,	
yycrank+0,	0,		yyvstop+479,
yycrank+0,	0,		yyvstop+481,
yycrank+0,	0,		yyvstop+483,
yycrank+2389,	0,		0,	
yycrank+0,	0,		yyvstop+485,
yycrank+2390,	0,		0,	
yycrank+2391,	0,		0,	
yycrank+2392,	0,		0,	
yycrank+0,	0,		yyvstop+487,
yycrank+0,	0,		yyvstop+489,
yycrank+0,	0,		yyvstop+491,
yycrank+0,	0,		yyvstop+493,
yycrank+0,	0,		yyvstop+495,
yycrank+2379,	0,		0,	
yycrank+0,	0,		yyvstop+497,
yycrank+0,	0,		yyvstop+499,
yycrank+0,	0,		yyvstop+501,
yycrank+0,	0,		yyvstop+503,
yycrank+2381,	0,		0,	
yycrank+2380,	0,		0,	
yycrank+0,	0,		yyvstop+505,
0,	0,	0};
struct yywork *yytop = yycrank+2497;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,012 ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
011 ,'!' ,'"' ,'!' ,'!' ,'!' ,'!' ,'!' ,
'!' ,'!' ,'!' ,'!' ,01  ,'!' ,'!' ,'!' ,
'0' ,'1' ,'1' ,'1' ,'1' ,'1' ,'6' ,'6' ,
'6' ,'6' ,'!' ,'!' ,'!' ,'!' ,'!' ,'!' ,
'!' ,'A' ,'B' ,'C' ,'D' ,'E' ,'F' ,'G' ,
'H' ,'I' ,'J' ,'K' ,'L' ,'M' ,'N' ,'O' ,
'P' ,'Q' ,'R' ,'S' ,'T' ,'U' ,'V' ,'W' ,
'X' ,'Y' ,'Z' ,'!' ,'!' ,'!' ,'!' ,'!' ,
'!' ,'A' ,'B' ,'C' ,'D' ,'E' ,'F' ,'G' ,
'H' ,'I' ,'J' ,'K' ,'L' ,'M' ,'N' ,'O' ,
'P' ,'Q' ,'R' ,'S' ,'T' ,'U' ,'V' ,'W' ,
'X' ,'Y' ,'Z' ,'!' ,'!' ,'!' ,'!' ,01  ,
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
#ifndef lint
static	char ncform_sccsid[] = "@(#)ncform 1.6 88/02/08 SMI"; /* from S5R2 1.2 */
#endif

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback(p, m)
	int *p;
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput(c)
  int c; {
	output(c);
	}
yyunput(c)
   int c; {
	unput(c);
	}
