#ifndef _BoxEditDialog_h_
#define _BoxEditDialog_h_

#include "ModalDialog.h"
#include "aString.h"
class EntityDialog;


#define NUM_BOUNDS_FIELDS 4

class BoxEditDialog : public ModalDialog {
public:
  Widget *text_boxes;
  iEntityPtr entity;
  EntityDialog *ed;
  aString title;

  virtual iBox getBounds(void);
  virtual void setBounds(iBox b);

  BoxEditDialog(aString title, EntityDialog *ed);
  virtual ~BoxEditDialog();
  void showModal(iEntityPtr entity);
  /*virtual*/ void create();

  void okCB(XmAnyCallbackStruct *cbs);
  void cancelCB(XmAnyCallbackStruct *cbs);
};

class PBBEditDialog : public BoxEditDialog {
public:
  /*virtual*/ iBox getBounds(void);
  /*virtual*/ void setBounds(iBox b);
  PBBEditDialog(aString title, EntityDialog *ed);
  virtual ~PBBEditDialog();
};

#endif
