
/*
 * Copyright (c) 1995 RAF Technology
 * developed for ARPA under contract MDA 904-93-C-7219
 *
 * Permission to use, copy, modify, distribute, and sell this software and 
 * its documentation for any purpose is hereby granted without fee, provided
 * that (i) the above copyright notices and this permission notice appear in
 * all copies of the software and related documentation, and (ii) the names of
 * RAF Technology or ARPA  may not be used in any advertising or
 * publicity relating to the software without the specific, prior written
 * permission of RAF Technology and ARPA.
 * 
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
 * 
 * IN NO EVENT SHALL RAF TECHNOLOGY OR ARPA  BE LIABLE FOR
 * ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
 * OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
 * WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
 * LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
 * OF THIS SOFTWARE.
 */

#ifndef _debug_h_
#define _debug_h_

#ifdef DEBUG

#include <stdio.h>

void printUniText(iEntityPtr en);
void prenfo(iEntityPtr en,FILE * fo);
void pren(iEntityPtr en);
void prme(char *pr,iEntityPtr en,FILE * fo);
void i_PrintWord(iEntityPtr word,FILE * fo);
void printchset(char *p,FILE * fo);
void prall(iEntityPtr en);
void prchild(iEntityPtr en);
void prnchild(iEntityPtr en,int4 n);

int4 printmem(iEntityPtr en);
void prpoly(iOrthogonPtr poly);
void prborder(iOrthogonListPtr border);
void prsa(short *array, int4 n);
void prla(long *array, int4 n);

void ucsPrint(short * s);
void prBoxList(iBoxListPtr rgn);
void rlshowclipped(iImagePtr sp, iBox b);
void rlshowimage(iImagePtr sp);
int4 getGlobalTypeSize(void);

void prball(iEntityPtr en);


void pruc(iUCode s);
void prucs(iUCode* s);


void fprall(iEntityPtr en);
void fpprall(iEntityPtr en);
void pprall(iEntityPtr en);
void prsall(iEntityPtr en);
void prregion(iBoxListPtr rgn);


void prca(char *array, int4 n);
void fprsa(short *array, int4 n);
void fprla(long *array, int4 n);
void fprca(char *array, int4 n);
int4 rlprintimage(iImagePtr sp);
void prguts(iEntityPtr en);


#endif

#endif


