
#include "ScrollWindow.h"
#include "misc/XArg.h"
#include "ScrollClient.h"

ScrollWindow::ScrollWindow(Widget input_widget)
  : client(0), widget(input_widget),
	view_width(0), view_height(0),
	client_x(0), client_y(0),
	port_width(0), port_height(0)
{
  this->calculateSize();
}

ScrollWindow::~ScrollWindow()
{
  XtDestroyWidget(widget);
}

void
ScrollWindow::calculateSize(void)
{
  Dimension width;
  Dimension height;

  XArg args;

  args.setArg(XmNwidth, &width);
  args.setArg(XmNheight, &height);
  args.getValues(this->widget);
  this->port_width = width;
  this->port_height = height;
}

#if 0
void
setSize(int width, int height)
{}
#endif

void
ScrollWindow::setClientSize(int width, int height)
{
  if(this->client)
	this->client->setSize(width, height);
  this->view_width = width;
  this->view_height = height;
}

void
ScrollWindow::setClient(ScrollClient *input_client)
{
  this->client = input_client;
}

int 
ScrollWindow::isVisible(int x, int y)
{
}

iLBox
ScrollWindow::getVisibleArea(void)
{
}

Widget
ScrollWindow::getWidget()
{
  return this->widget;
}
