#include "rafport.h"

/* include this for systems that don't have memmove defined */
#if (defined SYS_OS_SUNOS) || (defined SYS_OS_MERC)
void *memmove(void *dest, const void *src, int n)
{
	int i;
	char *d=(char *)dest;
	char *s=(char *)src;
	
	if(n<=0)
		return 0;
	if(d>s)
		if(d-s>n)
			memcpy(d,s,n);
		else
			while(n--)
				d[n]=s[n];
	else
		if(s-d>n)
			memcpy(d,s,n);
		else
			for(i=0;i<n;i++)
				d[i]=s[i];
	return d;
}
#endif
